// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { createSelector } from 'reselect';
import { getRemoteParticipants } from './baseSelectors';
/**
 * @private
 */
export const getRemoteParticipantsExcludingConsumers = createSelector([getRemoteParticipants], (remoteParticipants) => {
    {
        const newRemoteParticipants = Object.assign({}, remoteParticipants);
        Object.keys(newRemoteParticipants).forEach(k => {
            var _a;
            if (((_a = newRemoteParticipants[k]) === null || _a === void 0 ? void 0 : _a.role) === 'Consumer') {
                delete newRemoteParticipants[k];
            }
        });
        return newRemoteParticipants;
    }
});
//# sourceMappingURL=getRemoteParticipantsExcludingConsumers.js.map