import { CallingBaseSelectorProps } from './baseSelectors';
import { ActiveNotification } from "../../react-components/src";
import { CallClientState } from "../../calling-stateful-client/src";
/**
 * Selector type for {@link Notification} component.
 *
 * @public
 */
export type NotificationStackSelector = (state: CallClientState, props: CallingBaseSelectorProps) => {
    activeErrorMessages: ActiveNotification[];
    activeNotifications: ActiveNotification[];
};
/**
 * Select the active errors from the state for the `Notification` component.
 *
 * Invariants:
 *   - `ErrorType` is never repeated in the returned errors.
 *   - Errors are returned in a fixed order by `ErrorType`.
 *
 * @public
 */
export declare const notificationStackSelector: NotificationStackSelector;
//# sourceMappingURL=notificationStackSelector.d.ts.map