// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { getRemoteParticipants, getRemoteParticipantsEnded } from './baseSelectors';
import * as reselect from 'reselect';
/**
 * Selector for all remote participants in a call, active and inactive.
 * @public
 */
export const allRemoteParticipantsSelector = reselect.createSelector([getRemoteParticipants, getRemoteParticipantsEnded], (remoteParticipants, remoteParticipantsEnded) => {
    // Combine remoteParticipants and remoteParticipantsEnded into a single object
    return Object.assign(Object.assign({}, remoteParticipants), remoteParticipantsEnded);
});
//# sourceMappingURL=remoteParticipantsSelector.js.map