import { CallClientState } from "../../calling-stateful-client/src";
import { VideoGalleryRemoteParticipant, VideoGalleryLocalParticipant } from "../../react-components/src";
import { VideoGalleryTogetherModeStreams, VideoGalleryTogetherModeParticipantPosition } from "../../react-components/src";
import { CallingBaseSelectorProps } from './baseSelectors';
/**
 * Selector type for {@link VideoGallery} component.
 *
 * @public
 */
export type VideoGallerySelector = (state: CallClientState, props: CallingBaseSelectorProps) => {
    screenShareParticipant?: VideoGalleryRemoteParticipant;
    localParticipant: VideoGalleryLocalParticipant;
    remoteParticipants: VideoGalleryRemoteParticipant[];
    dominantSpeakers?: string[];
    optimalVideoCount?: number;
    spotlightedParticipants?: string[];
    maxParticipantsToSpotlight?: number;
    isTogetherModeActive?: boolean;
    startTogetherModeEnabled?: boolean;
    togetherModeStreams?: VideoGalleryTogetherModeStreams;
    togetherModeSeatingCoordinates?: VideoGalleryTogetherModeParticipantPosition;
};
/**
 * Provides data attributes to {@link VideoGallery} component.
 * @public
 */
export declare const videoGallerySelector: VideoGallerySelector;
//# sourceMappingURL=videoGallerySelector.d.ts.map