import { IncomingCall } from '@azure/communication-calling';
import { CallContext } from './CallContext';
/**
 * @private
 */
export declare class ProxyIncomingCall implements ProxyHandler<IncomingCall> {
    private _context;
    constructor(context: CallContext);
    get<P extends keyof IncomingCall>(target: IncomingCall, prop: P): any;
}
/**
 * Creates a declarative Incoming Call by proxying IncomingCall using ProxyIncomingCall.
 * @param incomingCall - IncomingCall from SDK
 * @returns proxied IncomingCall
 */
export declare const incomingCallDeclaratify: (incomingCall: IncomingCall, context: CallContext) => IncomingCall;
//# sourceMappingURL=IncomingCallDeclarative.d.ts.map