import { TeamsIncomingCall } from '@azure/communication-calling';
import { CallContext } from './CallContext';
/**
 * @private
 */
export declare class ProxyTeamsIncomingCall implements ProxyHandler<TeamsIncomingCall> {
    private _context;
    constructor(context: CallContext);
    get<P extends keyof TeamsIncomingCall>(target: TeamsIncomingCall, prop: P): any;
}
/**
 * Creates a declarative TeamsIncomingCall by proxying TeamsIncomingCall using ProxyIncomingCall.
 * @param incomingCall - TeamsIncomingCall from SDK
 * @returns proxied TeamsIncomingCall
 */
export declare const teamsIncomingCallDeclaratify: (incomingCall: TeamsIncomingCall, context: CallContext) => TeamsIncomingCall;
//# sourceMappingURL=TeamsIncomingCallDeclarative.d.ts.map