import { TogetherModeCallFeature } from '@azure/communication-calling';
import { CallContext } from './CallContext';
import { CallIdRef } from './CallIdRef';
import { InternalCallContext } from './InternalCallContext';
/**
 * TogetherModeSubscriber is responsible for subscribing to together mode events and updating the call context accordingly.
 */
export declare class TogetherModeSubscriber {
    private _callIdRef;
    private _context;
    private _internalContext;
    private _togetherMode;
    private _featureName;
    private _togetherModeVideoStreamSubscribers;
    constructor(callIdRef: CallIdRef, context: CallContext, internalContext: InternalCallContext, togetherMode: TogetherModeCallFeature);
    private subscribe;
    unsubscribe: () => void;
    private onSceneUpdated;
    private onSeatUpdated;
    private addRemoteVideoStreamSubscriber;
    private updateTogetherModeStreams;
    private onTogetherModeStreamUpdated;
}
//# sourceMappingURL=TogetherModeSubscriber.d.ts.map