// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * @internal
 */
export const _isACSCall = (call) => {
    return !call.kind || call.kind === 'Call';
};
/**
 * @internal
 */
export const _isACSCallAgent = (callAgent) => {
    return !callAgent.kind || callAgent.kind === 'CallAgent';
};
/**
 * @internal
 */
export const _isTeamsCall = (call) => {
    return call.kind === 'TeamsCall';
};
/**
 * @internal
 */
export const _isTeamsCallAgent = (callAgent) => {
    return callAgent.kind === 'TeamsCallAgent';
};
/**
 * @internal
 */
export const _isTeamsIncomingCall = (call) => {
    return call.kind === 'TeamsIncomingCall';
};
/**
 * @internal
 */
export const _isACSIncomingCall = (call) => {
    return call.kind === 'IncomingCall';
};
/**
 * @internal
 */
export const _isTeamsMeeting = (call) => {
    return 'info' in call && !!call.info.threadId;
};
//# sourceMappingURL=TypeGuards.js.map