import { ChatBaseSelectorProps } from './baseSelectors';
import { ChatClientState } from "../../chat-stateful-client/src";
import { Message } from "../../react-components/src";
/**
 * Selector type for {@link MessageThread} component.
 *
 * @public
 */
export type MessageThreadSelector = (state: ChatClientState, props: ChatBaseSelectorProps) => {
    userId: string;
    showMessageStatus: boolean;
    messages: Message[];
};
/**
 *
 * @private
 */
export declare const messageThreadSelectorWithThread: () => MessageThreadSelector;
/**
 * Selector for {@link MessageThread} component.
 *
 * @public
 */
export declare const messageThreadSelector: MessageThreadSelector;
//# sourceMappingURL=messageThreadSelector.d.ts.map