/// <reference types="react" />
import { _AttachmentUploadCardsStrings } from './AttachmentUploadCards';
import { AttachmentMenuAction } from '../../types/Attachment';
import { AttachmentMetadata, AttachmentMetadataInProgress } from "../../../../acs-ui-common/src";
/**
 * @internal
 * AttachmentCard Component Props.
 */
export interface _AttachmentCardProps {
    /**
     * Attachment details including name, extension, url, etc.
     */
    attachment: AttachmentMetadata | AttachmentMetadataInProgress;
    /**
     * An array of menu actions to be displayed in the attachment card.
     */
    menuActions: AttachmentMenuAction[];
    /**
     * Optional aria label strings for attachment upload cards
     */
    strings?: _AttachmentUploadCardsStrings;
    /**
     * Optional callback that runs if menu bar action onclick throws.
     */
    onActionHandlerFailed?: (errMsg: string) => void;
    /**
     * Optional flag to enable self resizing of the attachment card.
     */
    selfResizing?: boolean;
}
/**
 * @internal
 * A component for displaying an attachment card with attachment icon and progress bar.
 *
 * `_AttachmentCard` internally uses the `Card` component from `@fluentui/react-components`. You can checkout the details about these components [here](https://react.fluentui.dev/?path=/docs/components-card).
 */
export declare const _AttachmentCard: (props: _AttachmentCardProps) => JSX.Element;
//# sourceMappingURL=AttachmentCard.d.ts.map