import React from 'react';
/**
 * @internal
 * Props for `_AttachmentCardGroup` component.
 */
export declare enum _AttachmentCardGroupLayout {
    /**
     * Children are rendered in a grid layout with self resizing.
     */
    Grid = "grid",
    /**
     * Children are rendered in a flex layout with no resizing.
     */
    Flex = "flex"
}
/**
 * @internal
 * Props for `_AttachmentCardGroup` component.
 */
export interface _AttachmentCardGroupProps {
    children: React.ReactNode;
    ariaLabel?: string;
    attachmentGroupLayout?: _AttachmentCardGroupLayout;
    disabled?: boolean;
}
/**
 * @internal
 * Used with `_AttachmentCard` component where `_AttachmentCard` components are passed as children.
 * Renders the children equally spaced in multiple rows.
 */
export declare const _AttachmentCardGroup: (props: _AttachmentCardGroupProps) => JSX.Element;
//# sourceMappingURL=AttachmentCardGroup.d.ts.map