/// <reference types="react" />
import { AttachmentMetadataInProgress } from "../../../../acs-ui-common/src";
/**
 * Strings of _AttachmentUploadCards that can be overridden.
 *
 * @internal
 */
export interface _AttachmentUploadCardsStrings {
    /** Aria label to notify user when focus is on cancel attachment upload button. */
    removeAttachment: string;
    /** Aria label to notify user attachment uploading starts. */
    uploading: string;
    /** Aria label to notify user attachment is uploaded. */
    uploadCompleted: string;
    /** Aria label to notify user more attachment action menu. */
    attachmentMoreMenu: string;
}
/**
 * @internal
 */
export interface AttachmentUploadCardsProps {
    /**
     * Optional array of {@link AttachmentMetadataInProgress}
     */
    attachments?: AttachmentMetadataInProgress[];
    /**
     * Optional callback to remove the attachment upload before sending by clicking on
     * cancel icon.
     */
    onCancelAttachmentUpload?: (attachmentId: string) => void;
    /**
     * Optional arialabel strings for attachment upload cards
     */
    strings?: _AttachmentUploadCardsStrings;
    /**
     * Optional flag to disable attachment cards.
     */
    disabled?: boolean;
}
/**
 * @internal
 */
export declare const _AttachmentUploadCards: (props: AttachmentUploadCardsProps) => JSX.Element;
//# sourceMappingURL=AttachmentUploadCards.d.ts.map