import React from 'react';
import { AttachmentMetadata } from "../../../../acs-ui-common/src";
import { ChatMessage } from '../../types/ChatMessage';
import { MessageThreadStrings } from '../MessageThread';
type ChatMessageContentProps = {
    message: ChatMessage;
    strings: MessageThreadStrings;
    inlineImageOptions?: InlineImageOptions;
};
/**
 * InlineImage's state, as reflected in the UI.
 *
 * @public
 */
export interface InlineImage {
    /** ID of the message that the inline image is belonged to */
    messageId: string;
    /** Attributes of the inline image */
    imageAttributes: React.ImgHTMLAttributes<HTMLImageElement>;
}
/**
 * Options to display inline image in the inline image scenario.
 *
 * @public
 */
export interface InlineImageOptions {
    /**
     * Optional callback to render an inline image of in a message.
     */
    onRenderInlineImage?: (inlineImage: InlineImage, defaultOnRender: (inlineImage: InlineImage) => JSX.Element) => JSX.Element;
}
/** @private */
export declare const ChatMessageContent: (props: ChatMessageContentProps) => JSX.Element;
/**
 * @private
 */
export declare const getAttachmentCountLiveMessage: (attachments: AttachmentMetadata[], attachmentCardGroupMessage: string) => string;
export {};
//# sourceMappingURL=ChatMessageContent.d.ts.map