/// <reference types="react" />
import { ChatMessageComponentWrapperProps } from '../ChatMessageComponentWrapper';
import { ChatMessage } from '../../../types/ChatMessage';
/**
 * Props for {@link FluentChatMessageComponentWrapper}
 *
 * @private
 */
export type FluentChatMessageComponentWrapperProps = ChatMessageComponentWrapperProps & {
    message: ChatMessage;
};
/**
 * The component for rendering a chat message using Fluent UI components
 * and handling default and custom renderers.
 * This component handles rendering for chat message body, avatar and message status.
 * The chat message body, avatar and message status should be shown for both default and custom renderers.
 *
 * @private
 */
export declare const FluentChatMessageComponent: (props: FluentChatMessageComponentWrapperProps) => JSX.Element;
//# sourceMappingURL=FluentChatMessageComponent.d.ts.map