/// <reference types="react" />
import { ReactionResources } from '../..';
/**
 * Props for the ReactionMenuItem
 *
 * @internal
 */
export interface _ReactionMenuItemProps {
    /**
     * Reaction resources to render for mobile button menus for reaction
     */
    reactionResources?: ReactionResources;
    /**
     * reaction click event from the call adapter.
     */
    onReactionClick?: (reaction: string) => Promise<void>;
    /**
     * Whether the menu item is disabled
     * @defaultvalue false
     */
    disabled?: boolean;
}
/**
 * Maps the individual item in menuProps.items passed in the {@link DrawerMenu} into a UI component.
 *
 * @internal
 */
export declare const _ReactionDrawerMenuItem: (props: _ReactionMenuItemProps) => JSX.Element;
//# sourceMappingURL=ReactionDrawerMenuItem.d.ts.map