import React from 'react';
import { OnRenderAvatarCallback, VideoStreamOptions, CreateVideoStreamViewResult } from '../types';
import { Reaction } from '../types';
import { LocalVideoCameraCycleButtonProps } from './LocalVideoCameraButton';
import { VideoTileStylesProps } from './VideoTile';
import { RaisedHand } from '../types';
import { ReactionResources } from '../types/ReactionTypes';
import { VideoGalleryStrings } from './VideoGallery';
import { MediaAccess } from '../types';
/**
 * A memoized version of VideoTile for rendering local participant.
 *
 * @internal
 */
export declare const _LocalVideoTile: React.MemoExoticComponent<(props: {
    userId?: string;
    onCreateLocalStreamView?: (options?: VideoStreamOptions) => Promise<void | CreateVideoStreamViewResult>;
    onDisposeLocalStreamView?: () => void;
    isAvailable?: boolean;
    isMuted?: boolean;
    renderElement?: HTMLElement;
    displayName?: string;
    initialsName?: string;
    localVideoViewOptions?: VideoStreamOptions;
    onRenderAvatar?: OnRenderAvatarCallback;
    showLabel: boolean;
    alwaysShowLabelBackground?: boolean;
    showMuteIndicator?: boolean;
    showCameraSwitcherInLocalPreview?: boolean;
    localVideoCameraCycleButtonProps?: LocalVideoCameraCycleButtonProps;
    localVideoCameraSwitcherLabel?: string;
    localVideoSelectedDescription?: string;
    styles?: VideoTileStylesProps;
    personaMinSize?: number;
    raisedHand?: RaisedHand;
    reaction?: Reaction;
    spotlightedParticipantUserIds?: string[];
    isSpotlighted?: boolean;
    onStartSpotlight?: () => void;
    onStopSpotlight?: () => void;
    maxParticipantsToSpotlight?: number;
    menuKind?: 'contextual' | 'drawer';
    drawerMenuHostId?: string;
    strings?: VideoGalleryStrings;
    reactionResources?: ReactionResources;
    participantsCount?: number;
    isScreenSharingOn?: boolean;
    mediaAccess?: MediaAccess;
}) => React.JSX.Element>;
//# sourceMappingURL=LocalVideoTile.d.ts.map