/// <reference types="react" />
import { OverlayModeTypes, Reaction, ReactionResources, VideoGalleryLocalParticipant, VideoGalleryRemoteParticipant } from '../types';
import { VideoGalleryTogetherModeParticipantPosition } from '../types';
/**
 * Reaction overlay component props
 *
 * Can be used with {@link VideoTile}.
 *
 * @internal
 */
export interface MeetingReactionOverlayProps {
    /**
     * Reaction rendering overlay type. i.e. single reaction rendering on grid-tile, screen share mode overlay
     */
    overlayMode: OverlayModeTypes;
    /**
     * Received reaction when overlay mode is grid-tile
     */
    reaction?: Reaction;
    /**
     * Reactions resources' url and metadata.
     */
    reactionResources: ReactionResources;
    /**
     * Local participant's reaction event that comes from participant object.
     */
    localParticipant?: VideoGalleryLocalParticipant;
    /**
     * Remote participant's reaction event.
     */
    remoteParticipants?: VideoGalleryRemoteParticipant[];
    togetherModeSeatPositions?: VideoGalleryTogetherModeParticipantPosition;
}
/**
 * Reaction overlay component
 *
 * Can be used with {@link VideoTile}.
 *
 * @internal
 */
export declare const MeetingReactionOverlay: (props: MeetingReactionOverlayProps) => JSX.Element;
//# sourceMappingURL=MeetingReactionOverlay.d.ts.map