import * as React from 'react';
import { IModalProps } from '@fluentui/react';
/** @internal */
export interface _ExtendedIModalProps extends IModalProps {
    minDragPosition?: _ICoordinates;
    maxDragPosition?: _ICoordinates;
    dataUiId?: string;
    /**
     * Originally the FluentUI modal used window to capture key events that trigger the move/close menu.
     * As we want to avoid global listeners, we are allowing the user to pass in a specific element
     * to capture the key events.
     */
    keyEventElement?: HTMLElement | Window;
}
/** @internal */
export type _ICoordinates = {
    x: number;
    y: number;
};
/** @internal */
export declare const _ModalClone: React.FunctionComponent<_ExtendedIModalProps>;
//# sourceMappingURL=ModalClone.d.ts.map