/// <reference types="react" />
/**
 * @private
 * strings for rtt modal
 */
export interface _RTTDisclosureBannerStrings {
    bannerTitle: string;
    bannerContent: string;
    bannerLinkLabel?: string;
}
/**
 * @private
 * Props for RTT Banner
 */
export interface _RTTDisclosureBannerProps {
    /**
     * Optional callback to supply users with further troubleshooting steps or more information for the Real Time Text feature.
     */
    onClickLink?: () => void;
    /** RTT Banner strings */
    strings?: _RTTDisclosureBannerStrings;
}
/**
 * @private
 * Banner to disclose that RTT is enabled for all participants for the entire duration of the meeting.
 */
export declare const _RTTDisclosureBanner: (props: _RTTDisclosureBannerProps) => JSX.Element;
//# sourceMappingURL=RTTDisclosureBanner.d.ts.map