// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import React from 'react';
import { Notification } from './Notification';
import { useTheme } from '@fluentui/react';
import { rttContainerStyles, rttIconStyles } from './styles/RTTDisclosureBanner.styles';
/**
 * @private
 * Banner to disclose that RTT is enabled for all participants for the entire duration of the meeting.
 */
export const _RTTDisclosureBanner = (props) => {
    var _a;
    const strings = props.strings;
    const theme = useTheme();
    return React.createElement(Notification, { notificationStrings: {
            title: (_a = strings === null || strings === void 0 ? void 0 : strings.bannerTitle) !== null && _a !== void 0 ? _a : '',
            message: strings === null || strings === void 0 ? void 0 : strings.bannerContent,
            linkLabel: strings === null || strings === void 0 ? void 0 : strings.bannerLinkLabel
        }, notificationIconProps: {
            iconName: 'RealTimeTextIcon',
            styles: rttIconStyles()
        }, onClickLink: props.onClickLink, styles: {
            root: rttContainerStyles(theme)
        } });
};
//# sourceMappingURL=RTTDisclosureBanner.js.map