/// <reference types="react" />
import { OnRenderAvatarCallback } from '../types';
/**
 * @public
 * strings for rtt
 */
export interface RealTimeTextStrings {
    /**
     * String indicating that the user is typing
     */
    isTypingText?: string;
}
/**
 * @public
 * Props for a single line of RealTimeText.
 */
export interface RealTimeTextProps {
    /**
     * RealTimeText id
     */
    id: number;
    /**
     * Display name of the user
     */
    displayName: string;
    /**
     * RealTimeText content
     */
    message: string;
    /**
     * user id of the user
     */
    userId?: string;
    /**
     * Optional callback to override render of the avatar.
     *
     * @param userId - user Id
     */
    onRenderAvatar?: OnRenderAvatarCallback;
    /**
     * Boolean indicating whether the RealTimeText is still in progress
     */
    isTyping?: boolean;
    /**
     * Boolean indicating whether the RealTimeText is from the local user
     */
    isMe?: boolean;
    /**
     * Strings for RealTimeText
     */
    strings?: RealTimeTextStrings;
}
/**
 * @public
 * A component for displaying a single line of RealTimeText
 */
export declare const RealTimeText: (props: RealTimeTextProps) => JSX.Element;
//# sourceMappingURL=RealTimeText.d.ts.map