/// <reference types="react" />
/**
 * @public
 * strings for realTimeText modal
 */
export interface RealTimeTextModalStrings {
    /** The title of the RealTimeText modal */
    realTimeTextModalTitle?: string;
    /** The text of the RealTimeText modal */
    realTimeTextModalText?: string;
    /** The label for the confirm button */
    realTimeTextConfirmButtonLabel?: string;
    /** The label for the cancel button */
    realTimeTextCancelButtonLabel?: string;
    /** The aria label for the modal */
    realTimeTextModalAriaLabel?: string;
    /** The aria label for the close button */
    realTimeTextCloseModalButtonAriaLabel?: string;
}
/**
 * @public
 * RealTimeTextModal Component Props.
 */
export interface RealTimeTextModalProps {
    /** The strings for the RealTimeText modal */
    strings?: RealTimeTextModalStrings;
    /** The flag to show the modal */
    showModal?: boolean;
    /** The function to dismiss the modal */
    onDismissModal?: () => void;
    /**
     * Use this function to show RealTimeText UI in the calling experience.
     * Note that real time text should not be started for everyone in the call until the first real time text is received.
     */
    onStartRealTimeText?: () => void;
}
/**
 * @public
 * a component for realTimeText modal
 */
export declare const RealTimeTextModal: (props: RealTimeTextModalProps) => JSX.Element;
//# sourceMappingURL=RealTimeTextModal.d.ts.map