// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { LayerHost, Stack, mergeStyles } from '@fluentui/react';
import React from 'react';
import { innerLayoutStyle, layerHostStyle, rootLayoutStyle } from './styles/FloatingLocalVideoLayout.styles';
import { videoGalleryLayoutGap } from './styles/Layout.styles';
import { useId } from '@fluentui/react-hooks';
/**
 * Video gallery layout to focus on the screenshare stream that is present in the call.
 */
export const FocusedContentLayout = (props) => {
    const { screenShareComponent } = props;
    const layerHostId = useId('layerhost');
    return React.createElement(Stack, { styles: rootLayoutStyle },
        React.createElement(LayerHost, { id: layerHostId, className: mergeStyles(layerHostStyle) }),
        React.createElement(Stack, { styles: innerLayoutStyle, tokens: videoGalleryLayoutGap }, screenShareComponent ? screenShareComponent : React.createElement(React.Fragment, null)));
};
//# sourceMappingURL=FocusContentLayout.js.map