/// <reference types="react" />
import { LocalVideoTileSize } from '../VideoGallery';
import { LayoutProps } from './Layout';
/**
 * Props for {@link SpeakerVideoLayout}.
 *
 * @private
 */
export interface SpeakerVideoLayoutProps extends LayoutProps {
    /**
     * Whether to display the local video camera switcher button
     */
    showCameraSwitcherInLocalPreview?: boolean;
    /**
     * Height of parent element
     */
    parentHeight?: number;
    /**
     * Local video tile mode
     */
    localVideoTileSize?: LocalVideoTileSize;
}
/**
 * Layout for the gallery mode to highlight the current dominant speaker
 *
 * @private
 */
export declare const SpeakerVideoLayout: (props: SpeakerVideoLayoutProps) => JSX.Element;
//# sourceMappingURL=SpeakerVideoLayout.d.ts.map