import { IContextualMenuProps } from '@fluentui/react';
import { VideoGalleryParticipant, ViewScalingMode } from '../../types';
/**
 * @private
 */
export declare const useVideoTileContextualMenuProps: (props: {
    participant: VideoGalleryParticipant;
    strings?: {
        fitRemoteParticipantToFrame?: string;
        fillRemoteParticipantFrame?: string;
        pinParticipantForMe?: string;
        pinParticipantForMeLimitReached?: string;
        unpinParticipantForMe?: string;
        pinParticipantMenuItemAriaLabel?: string;
        unpinParticipantMenuItemAriaLabel?: string;
        pinnedParticipantAnnouncementAriaLabel?: string;
        unpinnedParticipantAnnouncementAriaLabel?: string;
        startSpotlightVideoTileMenuLabel?: string;
        addSpotlightVideoTileMenuLabel?: string;
        stopSpotlightVideoTileMenuLabel?: string;
        stopSpotlightOnSelfVideoTileMenuLabel?: string;
        spotlightLimitReachedMenuTitle?: string;
        muteParticipantMenuItemLabel?: string;
        forbidAudioTileMenuLabel?: string;
        permitAudioTileMenuLabel?: string;
        forbidVideoTileMenuLabel?: string;
        permitVideoTileMenuLabel?: string;
    };
    view?: {
        updateScalingMode: (scalingMode: ViewScalingMode) => Promise<void>;
    };
    isPinned?: boolean;
    onPinParticipant?: (userId: string) => void;
    onUnpinParticipant?: (userId: string) => void;
    onUpdateScalingMode?: (userId: string, scalingMode: ViewScalingMode) => void;
    disablePinMenuItem?: boolean;
    toggleAnnouncerString?: (announcerString: string) => void;
    isSpotlighted?: boolean;
    spotlightedParticipantUserIds?: string[];
    onStartSpotlight?: (userIds: string[]) => void;
    onStopSpotlight?: (userIds: string[]) => void;
    maxParticipantsToSpotlight?: number;
    myUserId?: string;
    onMuteParticipant?: (userId: string) => void;
    onForbidAudio?: (userIds: string[]) => void;
    onPermitAudio?: (userIds: string[]) => void;
    onForbidVideo?: (userIds: string[]) => void;
    onPermitVideo?: (userIds: string[]) => void;
}) => IContextualMenuProps | undefined;
//# sourceMappingURL=useVideoTileContextualMenuProps.d.ts.map