// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import React from 'react';
/**
 * Raised hand icon for ParticipantList and VideoTitle.
 *
 * @public
 */
export const RaisedHandIcon = () => {
    return React.createElement("svg", { width: "20", height: "20", viewBox: "0 0 20 20", fill: "none", xmlns: "http://www.w3.org/2000/svg" },
        React.createElement("defs", null,
            React.createElement("radialGradient", { id: "paint0_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(16.6796 10.8658) rotate(161.935) scale(13.4702 20.3408)" },
                React.createElement("stop", { offset: "0.817521", stopColor: "#E99329", stopOpacity: "0" }),
                React.createElement("stop", { offset: "0.961397", stopColor: "#E99329" })),
            React.createElement("radialGradient", { id: "paint1_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(11.7464 4.86265) rotate(103.662) scale(15.5522 10.8511)" },
                React.createElement("stop", { offset: "0.750766", stopColor: "#F88456", stopOpacity: "0" }),
                React.createElement("stop", { offset: "1", stopColor: "#F88456" })),
            React.createElement("radialGradient", { id: "paint2_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(10.8862 4.86067) rotate(98.3094) scale(14.3189 9.99881)" },
                React.createElement("stop", { offset: "0.937186", stopColor: "#F27A74", stopOpacity: "0" }),
                React.createElement("stop", { offset: "1", stopColor: "#F27A74" })),
            React.createElement("radialGradient", { id: "paint3_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(17.3363 11.238) rotate(-144.906) scale(1.08553 4.6268)" },
                React.createElement("stop", { offset: "0.0636767", stopColor: "#EAB170" }),
                React.createElement("stop", { offset: "1", stopColor: "#F6B44B", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint4_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(17.1484 8.75) rotate(129.452) scale(4.85649 1.57945)" },
                React.createElement("stop", { stopColor: "#FFC748" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFC64A", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint5_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(17.6953 8.75) rotate(135) scale(1.1601 1.07723)" },
                React.createElement("stop", { stopColor: "#FFE964" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFE65F", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint6_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(15.7422 8.47656) rotate(128.853) scale(3.61154 0.774997)" },
                React.createElement("stop", { offset: "0.251132", stopColor: "#EDB019" }),
                React.createElement("stop", { offset: "1", stopColor: "#EEB018", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint7_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(15.6055 8.04687) rotate(125.92) scale(3.06292 0.505665)" },
                React.createElement("stop", { offset: "0.0171863", stopColor: "#D29E4C" }),
                React.createElement("stop", { offset: "1", stopColor: "#DAA23E", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint8_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(14.2578 9.47266) rotate(-56.3099) scale(1.05631 0.227513)" },
                React.createElement("stop", { offset: "0.297381", stopColor: "#FFD260" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFD361", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint9_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(12.4609 9.62891) rotate(107.216) scale(1.45176 3.15212)" },
                React.createElement("stop", { offset: "0.251132", stopColor: "#FFCF48" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFD04B", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint10_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(12.3242 9.02344) rotate(144.638) scale(0.742444 1.38192)" },
                React.createElement("stop", { offset: "0.420068", stopColor: "#F2AA23" }),
                React.createElement("stop", { offset: "1", stopColor: "#F2AA23", stopOpacity: "0" })),
            React.createElement("linearGradient", { id: "paint11_linear_10246_159312", x1: "5.72266", y1: "10.9399", x2: "5.07979", y2: "9.68081", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { offset: "0.376446", stopColor: "#FFC23E" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFC23E", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint12_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(3.32031 8.28125) rotate(85.0032) scale(7.17571 2.51091)" },
                React.createElement("stop", { stopColor: "#E6943A" }),
                React.createElement("stop", { offset: "1", stopColor: "#E7943A", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint13_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(5.46875 6.17188) rotate(87.0391) scale(6.80596 1.61557)" },
                React.createElement("stop", { stopColor: "#FFCF50" }),
                React.createElement("stop", { offset: "0.741378", stopColor: "#FFB847" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFB848", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint14_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(6.69922 6.95312) rotate(85.2393) scale(4.00062 0.583904)" },
                React.createElement("stop", { stopColor: "#E79F08" }),
                React.createElement("stop", { offset: "1", stopColor: "#E79F08", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint15_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(5.82031 7.76306) rotate(83.1071) scale(3.90579 0.814298)" },
                React.createElement("stop", { stopColor: "#FFD14D" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFD04E", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint16_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(6.69922 9.17969) rotate(136.548) scale(1.53355 0.783563)" },
                React.createElement("stop", { offset: "0.426346", stopColor: "#FFD260" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFD361", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint17_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(5.46875 5.48828) rotate(80.3401) scale(0.931172 0.709009)" },
                React.createElement("stop", { stopColor: "#FFDA62" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFDA60", stopOpacity: "0" })),
            React.createElement("linearGradient", { id: "paint18_linear_10246_159312", x1: "6.05957", y1: "7.05618", x2: "7.26562", y2: "7.03125", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#DE890D" }),
                React.createElement("stop", { offset: "1", stopColor: "#F9B23D" })),
            React.createElement("linearGradient", { id: "paint19_linear_10246_159312", x1: "11.7919", y1: "10.3872", x2: "11.5711", y2: "7.83625", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { offset: "0.405208", stopColor: "#FFC23E" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFC23E", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint20_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(9.90363 2.31009) rotate(56.3221) scale(2.85335 11.4486)" },
                React.createElement("stop", { stopColor: "#E1AE3F" }),
                React.createElement("stop", { offset: "1", stopColor: "#E8AD3C", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint21_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(8.35938 5.19531) rotate(86.2538) scale(6.57655 1.44733)" },
                React.createElement("stop", { stopColor: "#FFCE4C" }),
                React.createElement("stop", { offset: "0.621882", stopColor: "#FFBA49" }),
                React.createElement("stop", { offset: "1", stopColor: "#FEB848", stopOpacity: "0" })),
            React.createElement("linearGradient", { id: "paint22_linear_10246_159312", x1: "8.0957", y1: "9.0918", x2: "7.91992", y2: "7.06055", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { offset: "0.168836", stopColor: "#FFC23E" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFC23E", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint23_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(5.82031 5.97656) rotate(78.518) scale(5.10211 0.93429)" },
                React.createElement("stop", { offset: "0.425088", stopColor: "#BD6606" }),
                React.createElement("stop", { offset: "1", stopColor: "#C77122", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint24_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(8.24219 5.89844) rotate(83.5653) scale(5.22825 0.629818)" },
                React.createElement("stop", { stopColor: "#FFCB4F" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFCD4C", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint25_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(9.29687 8.20313) rotate(154.799) scale(1.46784 0.851345)" },
                React.createElement("stop", { offset: "0.426346", stopColor: "#FFD260" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFD361", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint26_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(9.33594 4.98047) rotate(88.915) scale(5.15717 0.762321)" },
                React.createElement("stop", { offset: "0.342657", stopColor: "#E29E07" }),
                React.createElement("stop", { offset: "1", stopColor: "#DF9906", stopOpacity: "0" })),
            React.createElement("linearGradient", { id: "paint27_linear_10246_159312", x1: "9.14062", y1: "6.25", x2: "8.80978", y2: "6.26984", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#B76001" }),
                React.createElement("stop", { offset: "0.647059", stopColor: "#E59714", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint28_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(8.125 3.51562) rotate(86.1859) scale(1.17448 1.07205)" },
                React.createElement("stop", { stopColor: "#FFDA62" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFDA60", stopOpacity: "0" })),
            React.createElement("linearGradient", { id: "paint29_linear_10246_159312", x1: "9.0625", y1: "5.68143", x2: "10.5816", y2: "5.72531", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#D5850A" }),
                React.createElement("stop", { offset: "1", stopColor: "#F9B343", stopOpacity: "0" })),
            React.createElement("linearGradient", { id: "paint30_linear_10246_159312", x1: "9.0625", y1: "5.68143", x2: "9.55093", y2: "5.6712", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#B76001" }),
                React.createElement("stop", { offset: "1", stopColor: "#E59714", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint31_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(11.3014 4.55861) rotate(90) scale(5.01272 0.983716)" },
                React.createElement("stop", { stopColor: "#FFCB45" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFC44A", stopOpacity: "0" })),
            React.createElement("linearGradient", { id: "paint32_linear_10246_159312", x1: "10.0391", y1: "8.40332", x2: "10.0195", y2: "7.2461", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { offset: "0.210964", stopColor: "#FFC23E" }),
                React.createElement("stop", { offset: "0.80669", stopColor: "#FFC23E", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint33_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(11.7188 8.04687) rotate(166.996) scale(1.16638 0.888873)" },
                React.createElement("stop", { offset: "0.426346", stopColor: "#FFCA5B" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFCF60", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint34_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(11.9922 4.76563) rotate(92.1409) scale(4.18261 0.38546)" },
                React.createElement("stop", { offset: "0.342657", stopColor: "#E29E07" }),
                React.createElement("stop", { offset: "1", stopColor: "#DF9906", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint35_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(10.9766 4.51172) rotate(90) scale(9.27734 1.28906)" },
                React.createElement("stop", { stopColor: "#FFCE4C" }),
                React.createElement("stop", { offset: "0.621882", stopColor: "#FFBA49" }),
                React.createElement("stop", { offset: "1", stopColor: "#FEB848", stopOpacity: "0" })),
            React.createElement("linearGradient", { id: "paint36_linear_10246_159312", x1: "12.3828", y1: "5.9375", x2: "11.6797", y2: "5.93971", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#E59714" }),
                React.createElement("stop", { offset: "1", stopColor: "#E59714", stopOpacity: "0" })),
            React.createElement("linearGradient", { id: "paint37_linear_10246_159312", x1: "10.0195", y1: "8.82935", x2: "10.2318", y2: "8.00715", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#FFC23E" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFC23E", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint38_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(12.2847 7.66848) rotate(-113.448) scale(6.85723 7.32906)" },
                React.createElement("stop", { offset: "0.869582", stopColor: "#D8A13D", stopOpacity: "0" }),
                React.createElement("stop", { offset: "1", stopColor: "#D8A13D" })),
            React.createElement("radialGradient", { id: "paint39_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(11.2891 1.91406) rotate(93.0128) scale(1.48643 1.29895)" },
                React.createElement("stop", { stopColor: "#FFE763" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFE55D", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint40_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(11.8164 8.53516) rotate(168.022) scale(1.41758 0.903842)" },
                React.createElement("stop", { offset: "0.426346", stopColor: "#FFD260" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFD361", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint41_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(13.4766 5.89844) rotate(92.6574) scale(9.26778 2.30713)" },
                React.createElement("stop", { stopColor: "#FFCE4C" }),
                React.createElement("stop", { offset: "0.431711", stopColor: "#FFBA49" }),
                React.createElement("stop", { offset: "1", stopColor: "#FEB848", stopOpacity: "0" })),
            React.createElement("linearGradient", { id: "paint42_linear_10246_159312", x1: "11.5863", y1: "6.2696", x2: "13.5726", y2: "6.42645", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { offset: "0.0662431", stopColor: "#E08F13" }),
                React.createElement("stop", { offset: "0.602743", stopColor: "#E7981B", stopOpacity: "0" })),
            React.createElement("linearGradient", { id: "paint43_linear_10246_159312", x1: "11.5863", y1: "6.2696", x2: "13.259", y2: "6.33379", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { offset: "0.0662431", stopColor: "#C2681D" }),
                React.createElement("stop", { offset: "0.602743", stopColor: "#E69717", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint44_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(14.9907 8.54439) rotate(-115.482) scale(6.44971 7.3339)" },
                React.createElement("stop", { offset: "0.869582", stopColor: "#D8A13D", stopOpacity: "0" }),
                React.createElement("stop", { offset: "1", stopColor: "#D8A13D" })),
            React.createElement("radialGradient", { id: "paint45_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(14.0625 5.66406) rotate(91.8841) scale(5.94071 1.40501)" },
                React.createElement("stop", { stopColor: "#FFDC3F" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFDA3C", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint46_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(14.1016 3.51563) rotate(99.1412) scale(1.27667 1.12346)" },
                React.createElement("stop", { stopColor: "#FFE966" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFE966", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint47_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(11.7139 8.84766) rotate(124.509) scale(0.853264 2.02461)" },
                React.createElement("stop", { offset: "0.251132", stopColor: "#F0A623" }),
                React.createElement("stop", { offset: "1", stopColor: "#F2AA23", stopOpacity: "0" })),
            React.createElement("linearGradient", { id: "paint48_linear_10246_159312", x1: "13.877", y1: "10.0293", x2: "13.5547", y2: "9.05273", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { offset: "0.0912498", stopColor: "#FFCD47" }),
                React.createElement("stop", { offset: "1", stopColor: "#FFCD52", stopOpacity: "0" })),
            React.createElement("radialGradient", { id: "paint49_radial_10246_159312", cx: "0", cy: "0", r: "1", gradientUnits: "userSpaceOnUse", gradientTransform: "translate(14.8059 9.14063) rotate(99.1613) scale(2.21576 0.860587)" },
                React.createElement("stop", { offset: "0.251132", stopColor: "#D69211" }),
                React.createElement("stop", { offset: "1", stopColor: "#DAA23E", stopOpacity: "0" }))),
        React.createElement("path", { d: "M10.4435 1.23817C11.6481 1.06813 12.2265 2.26542 12.08 3.30216C12.3425 2.83259 12.7902 2.56116 13.3593 2.57808C14.1793 2.60246 14.83 3.32606 14.8046 4.15738L14.5986 9.26659L15.4927 8.14205C16.0297 7.46657 17.0049 7.3596 17.6721 7.90298C18.3408 8.44763 18.4466 9.43906 17.9083 10.1161L17.5242 10.5991L17.5205 10.6047C17.1674 11.0632 16.4446 12.0018 15.5377 13.5195C15.2451 13.9644 14.991 14.4396 14.7373 14.9139C14.3755 15.5904 14.0146 16.2651 13.5446 16.8478C12.6103 18.0157 11.2012 18.7207 9.41406 18.7207C7.46969 18.7207 5.96858 17.7407 5.06836 16.2598C4.39645 15.1544 4.09135 13.756 4.01367 12.3535C3.90459 10.384 3.64472 8.30425 3.52479 6.33789C3.46522 5.36133 4.03401 4.62819 4.82415 4.58984C5.43983 4.55997 5.83432 4.75144 6.11318 5.06836C6.11318 5.06836 6.05957 4.77051 6.05957 4.15738C6.05957 3.54425 6.58827 2.73728 7.41201 2.67578C8.7206 2.57808 8.93545 3.65234 9.0624 4.15738C9.08953 3.10816 8.83779 1.46464 10.4435 1.23817Z", fill: "#FFC23E" }),
        React.createElement("path", { d: "M10.4435 1.23817C11.6481 1.06813 12.2265 2.26542 12.08 3.30216C12.3425 2.83259 12.7902 2.56116 13.3593 2.57808C14.1793 2.60246 14.83 3.32606 14.8046 4.15738L14.5986 9.26659L15.4927 8.14205C16.0297 7.46657 17.0049 7.3596 17.6721 7.90298C18.3408 8.44763 18.4466 9.43906 17.9083 10.1161L17.5242 10.5991L17.5205 10.6047C17.1674 11.0632 16.4446 12.0018 15.5377 13.5195C15.2451 13.9644 14.991 14.4396 14.7373 14.9139C14.3755 15.5904 14.0146 16.2651 13.5446 16.8478C12.6103 18.0157 11.2012 18.7207 9.41406 18.7207C7.46969 18.7207 5.96858 17.7407 5.06836 16.2598C4.39645 15.1544 4.09135 13.756 4.01367 12.3535C3.90459 10.384 3.64472 8.30425 3.52479 6.33789C3.46522 5.36133 4.03401 4.62819 4.82415 4.58984C5.43983 4.55997 5.83432 4.75144 6.11318 5.06836C6.11318 5.06836 6.05957 4.77051 6.05957 4.15738C6.05957 3.54425 6.58827 2.73728 7.41201 2.67578C8.7206 2.57808 8.93545 3.65234 9.0624 4.15738C9.08953 3.10816 8.83779 1.46464 10.4435 1.23817Z", fill: "url(#paint0_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4435 1.23817C11.6481 1.06813 12.2265 2.26542 12.08 3.30216C12.3425 2.83259 12.7902 2.56116 13.3593 2.57808C14.1793 2.60246 14.83 3.32606 14.8046 4.15738L14.5986 9.26659L15.4927 8.14205C16.0297 7.46657 17.0049 7.3596 17.6721 7.90298C18.3408 8.44763 18.4466 9.43906 17.9083 10.1161L17.5242 10.5991L17.5205 10.6047C17.1674 11.0632 16.4446 12.0018 15.5377 13.5195C15.2451 13.9644 14.991 14.4396 14.7373 14.9139C14.3755 15.5904 14.0146 16.2651 13.5446 16.8478C12.6103 18.0157 11.2012 18.7207 9.41406 18.7207C7.46969 18.7207 5.96858 17.7407 5.06836 16.2598C4.39645 15.1544 4.09135 13.756 4.01367 12.3535C3.90459 10.384 3.64472 8.30425 3.52479 6.33789C3.46522 5.36133 4.03401 4.62819 4.82415 4.58984C5.43983 4.55997 5.83432 4.75144 6.11318 5.06836C6.11318 5.06836 6.05957 4.77051 6.05957 4.15738C6.05957 3.54425 6.58827 2.73728 7.41201 2.67578C8.7206 2.57808 8.93545 3.65234 9.0624 4.15738C9.08953 3.10816 8.83779 1.46464 10.4435 1.23817Z", fill: "url(#paint1_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4435 1.23817C11.6481 1.06813 12.2265 2.26542 12.08 3.30216C12.3425 2.83259 12.7902 2.56116 13.3593 2.57808C14.1793 2.60246 14.83 3.32606 14.8046 4.15738L14.5986 9.26659L15.4927 8.14205C16.0297 7.46657 17.0049 7.3596 17.6721 7.90298C18.3408 8.44763 18.4466 9.43906 17.9083 10.1161L17.5242 10.5991L17.5205 10.6047C17.1674 11.0632 16.4446 12.0018 15.5377 13.5195C15.2451 13.9644 14.991 14.4396 14.7373 14.9139C14.3755 15.5904 14.0146 16.2651 13.5446 16.8478C12.6103 18.0157 11.2012 18.7207 9.41406 18.7207C7.46969 18.7207 5.96858 17.7407 5.06836 16.2598C4.39645 15.1544 4.09135 13.756 4.01367 12.3535C3.90459 10.384 3.64472 8.30425 3.52479 6.33789C3.46522 5.36133 4.03401 4.62819 4.82415 4.58984C5.43983 4.55997 5.83432 4.75144 6.11318 5.06836C6.11318 5.06836 6.05957 4.77051 6.05957 4.15738C6.05957 3.54425 6.58827 2.73728 7.41201 2.67578C8.7206 2.57808 8.93545 3.65234 9.0624 4.15738C9.08953 3.10816 8.83779 1.46464 10.4435 1.23817Z", fill: "url(#paint2_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4435 1.23817C11.6481 1.06813 12.2265 2.26542 12.08 3.30216C12.3425 2.83259 12.7902 2.56116 13.3593 2.57808C14.1793 2.60246 14.83 3.32606 14.8046 4.15738L14.5986 9.26659L15.4927 8.14205C16.0297 7.46657 17.0049 7.3596 17.6721 7.90298C18.3408 8.44763 18.4466 9.43906 17.9083 10.1161L17.5242 10.5991L17.5205 10.6047C17.1674 11.0632 16.4446 12.0018 15.5377 13.5195C15.2451 13.9644 14.991 14.4396 14.7373 14.9139C14.3755 15.5904 14.0146 16.2651 13.5446 16.8478C12.6103 18.0157 11.2012 18.7207 9.41406 18.7207C7.46969 18.7207 5.96858 17.7407 5.06836 16.2598C4.39645 15.1544 4.09135 13.756 4.01367 12.3535C3.90459 10.384 3.64472 8.30425 3.52479 6.33789C3.46522 5.36133 4.03401 4.62819 4.82415 4.58984C5.43983 4.55997 5.83432 4.75144 6.11318 5.06836C6.11318 5.06836 6.05957 4.77051 6.05957 4.15738C6.05957 3.54425 6.58827 2.73728 7.41201 2.67578C8.7206 2.57808 8.93545 3.65234 9.0624 4.15738C9.08953 3.10816 8.83779 1.46464 10.4435 1.23817Z", fill: "url(#paint3_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4435 1.23817C11.6481 1.06813 12.2265 2.26542 12.08 3.30216C12.3425 2.83259 12.7902 2.56116 13.3593 2.57808C14.1793 2.60246 14.83 3.32606 14.8046 4.15738L14.5986 9.26659L15.4927 8.14205C16.0297 7.46657 17.0049 7.3596 17.6721 7.90298C18.3408 8.44763 18.4466 9.43906 17.9083 10.1161L17.5242 10.5991L17.5205 10.6047C17.1674 11.0632 16.4446 12.0018 15.5377 13.5195C15.2451 13.9644 14.991 14.4396 14.7373 14.9139C14.3755 15.5904 14.0146 16.2651 13.5446 16.8478C12.6103 18.0157 11.2012 18.7207 9.41406 18.7207C7.46969 18.7207 5.96858 17.7407 5.06836 16.2598C4.39645 15.1544 4.09135 13.756 4.01367 12.3535C3.90459 10.384 3.64472 8.30425 3.52479 6.33789C3.46522 5.36133 4.03401 4.62819 4.82415 4.58984C5.43983 4.55997 5.83432 4.75144 6.11318 5.06836C6.11318 5.06836 6.05957 4.77051 6.05957 4.15738C6.05957 3.54425 6.58827 2.73728 7.41201 2.67578C8.7206 2.57808 8.93545 3.65234 9.0624 4.15738C9.08953 3.10816 8.83779 1.46464 10.4435 1.23817Z", fill: "url(#paint4_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4435 1.23817C11.6481 1.06813 12.2265 2.26542 12.08 3.30216C12.3425 2.83259 12.7902 2.56116 13.3593 2.57808C14.1793 2.60246 14.83 3.32606 14.8046 4.15738L14.5986 9.26659L15.4927 8.14205C16.0297 7.46657 17.0049 7.3596 17.6721 7.90298C18.3408 8.44763 18.4466 9.43906 17.9083 10.1161L17.5242 10.5991L17.5205 10.6047C17.1674 11.0632 16.4446 12.0018 15.5377 13.5195C15.2451 13.9644 14.991 14.4396 14.7373 14.9139C14.3755 15.5904 14.0146 16.2651 13.5446 16.8478C12.6103 18.0157 11.2012 18.7207 9.41406 18.7207C7.46969 18.7207 5.96858 17.7407 5.06836 16.2598C4.39645 15.1544 4.09135 13.756 4.01367 12.3535C3.90459 10.384 3.64472 8.30425 3.52479 6.33789C3.46522 5.36133 4.03401 4.62819 4.82415 4.58984C5.43983 4.55997 5.83432 4.75144 6.11318 5.06836C6.11318 5.06836 6.05957 4.77051 6.05957 4.15738C6.05957 3.54425 6.58827 2.73728 7.41201 2.67578C8.7206 2.57808 8.93545 3.65234 9.0624 4.15738C9.08953 3.10816 8.83779 1.46464 10.4435 1.23817Z", fill: "url(#paint5_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4435 1.23817C11.6481 1.06813 12.2265 2.26542 12.08 3.30216C12.3425 2.83259 12.7902 2.56116 13.3593 2.57808C14.1793 2.60246 14.83 3.32606 14.8046 4.15738L14.5986 9.26659L15.4927 8.14205C16.0297 7.46657 17.0049 7.3596 17.6721 7.90298C18.3408 8.44763 18.4466 9.43906 17.9083 10.1161L17.5242 10.5991L17.5205 10.6047C17.1674 11.0632 16.4446 12.0018 15.5377 13.5195C15.2451 13.9644 14.991 14.4396 14.7373 14.9139C14.3755 15.5904 14.0146 16.2651 13.5446 16.8478C12.6103 18.0157 11.2012 18.7207 9.41406 18.7207C7.46969 18.7207 5.96858 17.7407 5.06836 16.2598C4.39645 15.1544 4.09135 13.756 4.01367 12.3535C3.90459 10.384 3.64472 8.30425 3.52479 6.33789C3.46522 5.36133 4.03401 4.62819 4.82415 4.58984C5.43983 4.55997 5.83432 4.75144 6.11318 5.06836C6.11318 5.06836 6.05957 4.77051 6.05957 4.15738C6.05957 3.54425 6.58827 2.73728 7.41201 2.67578C8.7206 2.57808 8.93545 3.65234 9.0624 4.15738C9.08953 3.10816 8.83779 1.46464 10.4435 1.23817Z", fill: "url(#paint6_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4435 1.23817C11.6481 1.06813 12.2265 2.26542 12.08 3.30216C12.3425 2.83259 12.7902 2.56116 13.3593 2.57808C14.1793 2.60246 14.83 3.32606 14.8046 4.15738L14.5986 9.26659L15.4927 8.14205C16.0297 7.46657 17.0049 7.3596 17.6721 7.90298C18.3408 8.44763 18.4466 9.43906 17.9083 10.1161L17.5242 10.5991L17.5205 10.6047C17.1674 11.0632 16.4446 12.0018 15.5377 13.5195C15.2451 13.9644 14.991 14.4396 14.7373 14.9139C14.3755 15.5904 14.0146 16.2651 13.5446 16.8478C12.6103 18.0157 11.2012 18.7207 9.41406 18.7207C7.46969 18.7207 5.96858 17.7407 5.06836 16.2598C4.39645 15.1544 4.09135 13.756 4.01367 12.3535C3.90459 10.384 3.64472 8.30425 3.52479 6.33789C3.46522 5.36133 4.03401 4.62819 4.82415 4.58984C5.43983 4.55997 5.83432 4.75144 6.11318 5.06836C6.11318 5.06836 6.05957 4.77051 6.05957 4.15738C6.05957 3.54425 6.58827 2.73728 7.41201 2.67578C8.7206 2.57808 8.93545 3.65234 9.0624 4.15738C9.08953 3.10816 8.83779 1.46464 10.4435 1.23817Z", fill: "url(#paint7_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4435 1.23817C11.6481 1.06813 12.2265 2.26542 12.08 3.30216C12.3425 2.83259 12.7902 2.56116 13.3593 2.57808C14.1793 2.60246 14.83 3.32606 14.8046 4.15738L14.5986 9.26659L15.4927 8.14205C16.0297 7.46657 17.0049 7.3596 17.6721 7.90298C18.3408 8.44763 18.4466 9.43906 17.9083 10.1161L17.5242 10.5991L17.5205 10.6047C17.1674 11.0632 16.4446 12.0018 15.5377 13.5195C15.2451 13.9644 14.991 14.4396 14.7373 14.9139C14.3755 15.5904 14.0146 16.2651 13.5446 16.8478C12.6103 18.0157 11.2012 18.7207 9.41406 18.7207C7.46969 18.7207 5.96858 17.7407 5.06836 16.2598C4.39645 15.1544 4.09135 13.756 4.01367 12.3535C3.90459 10.384 3.64472 8.30425 3.52479 6.33789C3.46522 5.36133 4.03401 4.62819 4.82415 4.58984C5.43983 4.55997 5.83432 4.75144 6.11318 5.06836C6.11318 5.06836 6.05957 4.77051 6.05957 4.15738C6.05957 3.54425 6.58827 2.73728 7.41201 2.67578C8.7206 2.57808 8.93545 3.65234 9.0624 4.15738C9.08953 3.10816 8.83779 1.46464 10.4435 1.23817Z", fill: "url(#paint8_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4435 1.23817C11.6481 1.06813 12.2265 2.26542 12.08 3.30216C12.3425 2.83259 12.7902 2.56116 13.3593 2.57808C14.1793 2.60246 14.83 3.32606 14.8046 4.15738L14.5986 9.26659L15.4927 8.14205C16.0297 7.46657 17.0049 7.3596 17.6721 7.90298C18.3408 8.44763 18.4466 9.43906 17.9083 10.1161L17.5242 10.5991L17.5205 10.6047C17.1674 11.0632 16.4446 12.0018 15.5377 13.5195C15.2451 13.9644 14.991 14.4396 14.7373 14.9139C14.3755 15.5904 14.0146 16.2651 13.5446 16.8478C12.6103 18.0157 11.2012 18.7207 9.41406 18.7207C7.46969 18.7207 5.96858 17.7407 5.06836 16.2598C4.39645 15.1544 4.09135 13.756 4.01367 12.3535C3.90459 10.384 3.64472 8.30425 3.52479 6.33789C3.46522 5.36133 4.03401 4.62819 4.82415 4.58984C5.43983 4.55997 5.83432 4.75144 6.11318 5.06836C6.11318 5.06836 6.05957 4.77051 6.05957 4.15738C6.05957 3.54425 6.58827 2.73728 7.41201 2.67578C8.7206 2.57808 8.93545 3.65234 9.0624 4.15738C9.08953 3.10816 8.83779 1.46464 10.4435 1.23817Z", fill: "url(#paint9_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4435 1.23817C11.6481 1.06813 12.2265 2.26542 12.08 3.30216C12.3425 2.83259 12.7902 2.56116 13.3593 2.57808C14.1793 2.60246 14.83 3.32606 14.8046 4.15738L14.5986 9.26659L15.4927 8.14205C16.0297 7.46657 17.0049 7.3596 17.6721 7.90298C18.3408 8.44763 18.4466 9.43906 17.9083 10.1161L17.5242 10.5991L17.5205 10.6047C17.1674 11.0632 16.4446 12.0018 15.5377 13.5195C15.2451 13.9644 14.991 14.4396 14.7373 14.9139C14.3755 15.5904 14.0146 16.2651 13.5446 16.8478C12.6103 18.0157 11.2012 18.7207 9.41406 18.7207C7.46969 18.7207 5.96858 17.7407 5.06836 16.2598C4.39645 15.1544 4.09135 13.756 4.01367 12.3535C3.90459 10.384 3.64472 8.30425 3.52479 6.33789C3.46522 5.36133 4.03401 4.62819 4.82415 4.58984C5.43983 4.55997 5.83432 4.75144 6.11318 5.06836C6.11318 5.06836 6.05957 4.77051 6.05957 4.15738C6.05957 3.54425 6.58827 2.73728 7.41201 2.67578C8.7206 2.57808 8.93545 3.65234 9.0624 4.15738C9.08953 3.10816 8.83779 1.46464 10.4435 1.23817Z", fill: "url(#paint10_radial_10246_159312)" }),
        React.createElement("path", { d: "M3.52479 6.33728C3.46522 5.36072 4.03401 4.62758 4.82415 4.58924C5.43983 4.55936 5.83432 4.75084 6.11318 5.06775C6.20599 5.20142 6.40332 5.6084 6.4502 6.16699C6.49707 6.72559 6.63574 8.10547 6.69922 8.72559C6.66584 9.373 6.06222 10.7221 3.91477 10.9394C3.78945 9.4056 3.61634 7.8384 3.52479 6.33728Z", fill: "#FFC23E" }),
        React.createElement("path", { d: "M3.52479 6.33728C3.46522 5.36072 4.03401 4.62758 4.82415 4.58924C5.43983 4.55936 5.83432 4.75084 6.11318 5.06775C6.20599 5.20142 6.40332 5.6084 6.4502 6.16699C6.49707 6.72559 6.63574 8.10547 6.69922 8.72559C6.66584 9.373 6.06222 10.7221 3.91477 10.9394C3.78945 9.4056 3.61634 7.8384 3.52479 6.33728Z", fill: "url(#paint11_linear_10246_159312)" }),
        React.createElement("path", { d: "M3.52479 6.33728C3.46522 5.36072 4.03401 4.62758 4.82415 4.58924C5.43983 4.55936 5.83432 4.75084 6.11318 5.06775C6.20599 5.20142 6.40332 5.6084 6.4502 6.16699C6.49707 6.72559 6.63574 8.10547 6.69922 8.72559C6.66584 9.373 6.06222 10.7221 3.91477 10.9394C3.78945 9.4056 3.61634 7.8384 3.52479 6.33728Z", fill: "url(#paint12_radial_10246_159312)" }),
        React.createElement("path", { d: "M3.52479 6.33728C3.46522 5.36072 4.03401 4.62758 4.82415 4.58924C5.43983 4.55936 5.83432 4.75084 6.11318 5.06775C6.20599 5.20142 6.40332 5.6084 6.4502 6.16699C6.49707 6.72559 6.63574 8.10547 6.69922 8.72559C6.66584 9.373 6.06222 10.7221 3.91477 10.9394C3.78945 9.4056 3.61634 7.8384 3.52479 6.33728Z", fill: "url(#paint13_radial_10246_159312)" }),
        React.createElement("path", { d: "M3.52479 6.33728C3.46522 5.36072 4.03401 4.62758 4.82415 4.58924C5.43983 4.55936 5.83432 4.75084 6.11318 5.06775C6.20599 5.20142 6.40332 5.6084 6.4502 6.16699C6.49707 6.72559 6.63574 8.10547 6.69922 8.72559C6.66584 9.373 6.06222 10.7221 3.91477 10.9394C3.78945 9.4056 3.61634 7.8384 3.52479 6.33728Z", fill: "url(#paint14_radial_10246_159312)" }),
        React.createElement("path", { d: "M3.52479 6.33728C3.46522 5.36072 4.03401 4.62758 4.82415 4.58924C5.43983 4.55936 5.83432 4.75084 6.11318 5.06775C6.20599 5.20142 6.40332 5.6084 6.4502 6.16699C6.49707 6.72559 6.63574 8.10547 6.69922 8.72559C6.66584 9.373 6.06222 10.7221 3.91477 10.9394C3.78945 9.4056 3.61634 7.8384 3.52479 6.33728Z", fill: "url(#paint15_radial_10246_159312)" }),
        React.createElement("path", { d: "M3.52479 6.33728C3.46522 5.36072 4.03401 4.62758 4.82415 4.58924C5.43983 4.55936 5.83432 4.75084 6.11318 5.06775C6.20599 5.20142 6.40332 5.6084 6.4502 6.16699C6.49707 6.72559 6.63574 8.10547 6.69922 8.72559C6.66584 9.373 6.06222 10.7221 3.91477 10.9394C3.78945 9.4056 3.61634 7.8384 3.52479 6.33728Z", fill: "url(#paint16_radial_10246_159312)" }),
        React.createElement("path", { d: "M3.52479 6.33728C3.46522 5.36072 4.03401 4.62758 4.82415 4.58924C5.43983 4.55936 5.83432 4.75084 6.11318 5.06775C6.20599 5.20142 6.40332 5.6084 6.4502 6.16699C6.49707 6.72559 6.63574 8.10547 6.69922 8.72559C6.66584 9.373 6.06222 10.7221 3.91477 10.9394C3.78945 9.4056 3.61634 7.8384 3.52479 6.33728Z", fill: "url(#paint17_radial_10246_159312)" }),
        React.createElement("path", { d: "M6.11318 5.0685C6.11318 5.0685 6.05957 4.77065 6.05957 4.15752C6.05957 3.54439 6.58827 2.73742 7.41201 2.67592C8.7206 2.57821 8.93545 3.65248 9.0624 4.15752L9.19922 7.71484C9.08203 8.04036 8.67578 8.74219 7.98828 8.94531C7.30078 9.14844 6.82943 8.86068 6.67969 8.69141C6.60156 7.89062 6.4375 6.20312 6.40625 5.85938C6.375 5.51562 6.19785 5.18889 6.11318 5.0685Z", fill: "#FFC23E" }),
        React.createElement("path", { d: "M6.11318 5.0685C6.11318 5.0685 6.05957 4.77065 6.05957 4.15752C6.05957 3.54439 6.58827 2.73742 7.41201 2.67592C8.7206 2.57821 8.93545 3.65248 9.0624 4.15752L9.19922 7.71484C9.08203 8.04036 8.67578 8.74219 7.98828 8.94531C7.30078 9.14844 6.82943 8.86068 6.67969 8.69141C6.60156 7.89062 6.4375 6.20312 6.40625 5.85938C6.375 5.51562 6.19785 5.18889 6.11318 5.0685Z", fill: "url(#paint18_linear_10246_159312)" }),
        React.createElement("path", { d: "M6.11318 5.0685C6.11318 5.0685 6.05957 4.77065 6.05957 4.15752C6.05957 3.54439 6.58827 2.73742 7.41201 2.67592C8.7206 2.57821 8.93545 3.65248 9.0624 4.15752L9.19922 7.71484C9.08203 8.04036 8.67578 8.74219 7.98828 8.94531C7.30078 9.14844 6.82943 8.86068 6.67969 8.69141C6.60156 7.89062 6.4375 6.20312 6.40625 5.85938C6.375 5.51562 6.19785 5.18889 6.11318 5.0685Z", fill: "url(#paint19_linear_10246_159312)" }),
        React.createElement("path", { d: "M6.11318 5.0685C6.11318 5.0685 6.05957 4.77065 6.05957 4.15752C6.05957 3.54439 6.58827 2.73742 7.41201 2.67592C8.7206 2.57821 8.93545 3.65248 9.0624 4.15752L9.19922 7.71484C9.08203 8.04036 8.67578 8.74219 7.98828 8.94531C7.30078 9.14844 6.82943 8.86068 6.67969 8.69141C6.60156 7.89062 6.4375 6.20312 6.40625 5.85938C6.375 5.51562 6.19785 5.18889 6.11318 5.0685Z", fill: "url(#paint20_radial_10246_159312)" }),
        React.createElement("path", { d: "M6.11318 5.0685C6.11318 5.0685 6.05957 4.77065 6.05957 4.15752C6.05957 3.54439 6.58827 2.73742 7.41201 2.67592C8.7206 2.57821 8.93545 3.65248 9.0624 4.15752L9.19922 7.71484C9.08203 8.04036 8.67578 8.74219 7.98828 8.94531C7.30078 9.14844 6.82943 8.86068 6.67969 8.69141C6.60156 7.89062 6.4375 6.20312 6.40625 5.85938C6.375 5.51562 6.19785 5.18889 6.11318 5.0685Z", fill: "url(#paint21_radial_10246_159312)" }),
        React.createElement("path", { d: "M6.11318 5.0685C6.11318 5.0685 6.05957 4.77065 6.05957 4.15752C6.05957 3.54439 6.58827 2.73742 7.41201 2.67592C8.7206 2.57821 8.93545 3.65248 9.0624 4.15752L9.19922 7.71484C9.08203 8.04036 8.67578 8.74219 7.98828 8.94531C7.30078 9.14844 6.82943 8.86068 6.67969 8.69141C6.60156 7.89062 6.4375 6.20312 6.40625 5.85938C6.375 5.51562 6.19785 5.18889 6.11318 5.0685Z", fill: "url(#paint22_linear_10246_159312)" }),
        React.createElement("path", { d: "M6.11318 5.0685C6.11318 5.0685 6.05957 4.77065 6.05957 4.15752C6.05957 3.54439 6.58827 2.73742 7.41201 2.67592C8.7206 2.57821 8.93545 3.65248 9.0624 4.15752L9.19922 7.71484C9.08203 8.04036 8.67578 8.74219 7.98828 8.94531C7.30078 9.14844 6.82943 8.86068 6.67969 8.69141C6.60156 7.89062 6.4375 6.20312 6.40625 5.85938C6.375 5.51562 6.19785 5.18889 6.11318 5.0685Z", fill: "url(#paint23_radial_10246_159312)" }),
        React.createElement("path", { d: "M6.11318 5.0685C6.11318 5.0685 6.05957 4.77065 6.05957 4.15752C6.05957 3.54439 6.58827 2.73742 7.41201 2.67592C8.7206 2.57821 8.93545 3.65248 9.0624 4.15752L9.19922 7.71484C9.08203 8.04036 8.67578 8.74219 7.98828 8.94531C7.30078 9.14844 6.82943 8.86068 6.67969 8.69141C6.60156 7.89062 6.4375 6.20312 6.40625 5.85938C6.375 5.51562 6.19785 5.18889 6.11318 5.0685Z", fill: "url(#paint24_radial_10246_159312)" }),
        React.createElement("path", { d: "M6.11318 5.0685C6.11318 5.0685 6.05957 4.77065 6.05957 4.15752C6.05957 3.54439 6.58827 2.73742 7.41201 2.67592C8.7206 2.57821 8.93545 3.65248 9.0624 4.15752L9.19922 7.71484C9.08203 8.04036 8.67578 8.74219 7.98828 8.94531C7.30078 9.14844 6.82943 8.86068 6.67969 8.69141C6.60156 7.89062 6.4375 6.20312 6.40625 5.85938C6.375 5.51562 6.19785 5.18889 6.11318 5.0685Z", fill: "url(#paint25_radial_10246_159312)" }),
        React.createElement("path", { d: "M6.11318 5.0685C6.11318 5.0685 6.05957 4.77065 6.05957 4.15752C6.05957 3.54439 6.58827 2.73742 7.41201 2.67592C8.7206 2.57821 8.93545 3.65248 9.0624 4.15752L9.19922 7.71484C9.08203 8.04036 8.67578 8.74219 7.98828 8.94531C7.30078 9.14844 6.82943 8.86068 6.67969 8.69141C6.60156 7.89062 6.4375 6.20312 6.40625 5.85938C6.375 5.51562 6.19785 5.18889 6.11318 5.0685Z", fill: "url(#paint26_radial_10246_159312)" }),
        React.createElement("path", { d: "M6.11318 5.0685C6.11318 5.0685 6.05957 4.77065 6.05957 4.15752C6.05957 3.54439 6.58827 2.73742 7.41201 2.67592C8.7206 2.57821 8.93545 3.65248 9.0624 4.15752L9.19922 7.71484C9.08203 8.04036 8.67578 8.74219 7.98828 8.94531C7.30078 9.14844 6.82943 8.86068 6.67969 8.69141C6.60156 7.89062 6.4375 6.20312 6.40625 5.85938C6.375 5.51562 6.19785 5.18889 6.11318 5.0685Z", fill: "url(#paint27_linear_10246_159312)" }),
        React.createElement("path", { d: "M6.11318 5.0685C6.11318 5.0685 6.05957 4.77065 6.05957 4.15752C6.05957 3.54439 6.58827 2.73742 7.41201 2.67592C8.7206 2.57821 8.93545 3.65248 9.0624 4.15752L9.19922 7.71484C9.08203 8.04036 8.67578 8.74219 7.98828 8.94531C7.30078 9.14844 6.82943 8.86068 6.67969 8.69141C6.60156 7.89062 6.4375 6.20312 6.40625 5.85938C6.375 5.51562 6.19785 5.18889 6.11318 5.0685Z", fill: "url(#paint28_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4437 1.23817C11.6483 1.06813 12.2267 2.26542 12.0802 3.30216C11.9943 3.45951 11.9337 3.79649 11.9141 3.94531L11.6992 8.10547C10.8008 9.25781 9.53125 8.96484 9.17969 7.71484L9.0626 4.15738C9.08973 3.10816 8.83799 1.46464 10.4437 1.23817Z", fill: "#FFC23E" }),
        React.createElement("path", { d: "M10.4437 1.23817C11.6483 1.06813 12.2267 2.26542 12.0802 3.30216C11.9943 3.45951 11.9337 3.79649 11.9141 3.94531L11.6992 8.10547C10.8008 9.25781 9.53125 8.96484 9.17969 7.71484L9.0626 4.15738C9.08973 3.10816 8.83799 1.46464 10.4437 1.23817Z", fill: "url(#paint29_linear_10246_159312)" }),
        React.createElement("path", { d: "M10.4437 1.23817C11.6483 1.06813 12.2267 2.26542 12.0802 3.30216C11.9943 3.45951 11.9337 3.79649 11.9141 3.94531L11.6992 8.10547C10.8008 9.25781 9.53125 8.96484 9.17969 7.71484L9.0626 4.15738C9.08973 3.10816 8.83799 1.46464 10.4437 1.23817Z", fill: "url(#paint30_linear_10246_159312)" }),
        React.createElement("path", { d: "M10.4437 1.23817C11.6483 1.06813 12.2267 2.26542 12.0802 3.30216C11.9943 3.45951 11.9337 3.79649 11.9141 3.94531L11.6992 8.10547C10.8008 9.25781 9.53125 8.96484 9.17969 7.71484L9.0626 4.15738C9.08973 3.10816 8.83799 1.46464 10.4437 1.23817Z", fill: "url(#paint31_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4437 1.23817C11.6483 1.06813 12.2267 2.26542 12.0802 3.30216C11.9943 3.45951 11.9337 3.79649 11.9141 3.94531L11.6992 8.10547C10.8008 9.25781 9.53125 8.96484 9.17969 7.71484L9.0626 4.15738C9.08973 3.10816 8.83799 1.46464 10.4437 1.23817Z", fill: "url(#paint32_linear_10246_159312)" }),
        React.createElement("path", { d: "M10.4437 1.23817C11.6483 1.06813 12.2267 2.26542 12.0802 3.30216C11.9943 3.45951 11.9337 3.79649 11.9141 3.94531L11.6992 8.10547C10.8008 9.25781 9.53125 8.96484 9.17969 7.71484L9.0626 4.15738C9.08973 3.10816 8.83799 1.46464 10.4437 1.23817Z", fill: "url(#paint33_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4437 1.23817C11.6483 1.06813 12.2267 2.26542 12.0802 3.30216C11.9943 3.45951 11.9337 3.79649 11.9141 3.94531L11.6992 8.10547C10.8008 9.25781 9.53125 8.96484 9.17969 7.71484L9.0626 4.15738C9.08973 3.10816 8.83799 1.46464 10.4437 1.23817Z", fill: "url(#paint34_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4437 1.23817C11.6483 1.06813 12.2267 2.26542 12.0802 3.30216C11.9943 3.45951 11.9337 3.79649 11.9141 3.94531L11.6992 8.10547C10.8008 9.25781 9.53125 8.96484 9.17969 7.71484L9.0626 4.15738C9.08973 3.10816 8.83799 1.46464 10.4437 1.23817Z", fill: "url(#paint35_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4437 1.23817C11.6483 1.06813 12.2267 2.26542 12.0802 3.30216C11.9943 3.45951 11.9337 3.79649 11.9141 3.94531L11.6992 8.10547C10.8008 9.25781 9.53125 8.96484 9.17969 7.71484L9.0626 4.15738C9.08973 3.10816 8.83799 1.46464 10.4437 1.23817Z", fill: "url(#paint36_linear_10246_159312)" }),
        React.createElement("path", { d: "M10.4437 1.23817C11.6483 1.06813 12.2267 2.26542 12.0802 3.30216C11.9943 3.45951 11.9337 3.79649 11.9141 3.94531L11.6992 8.10547C10.8008 9.25781 9.53125 8.96484 9.17969 7.71484L9.0626 4.15738C9.08973 3.10816 8.83799 1.46464 10.4437 1.23817Z", fill: "url(#paint37_linear_10246_159312)" }),
        React.createElement("path", { d: "M10.4437 1.23817C11.6483 1.06813 12.2267 2.26542 12.0802 3.30216C11.9943 3.45951 11.9337 3.79649 11.9141 3.94531L11.6992 8.10547C10.8008 9.25781 9.53125 8.96484 9.17969 7.71484L9.0626 4.15738C9.08973 3.10816 8.83799 1.46464 10.4437 1.23817Z", fill: "url(#paint38_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4437 1.23817C11.6483 1.06813 12.2267 2.26542 12.0802 3.30216C11.9943 3.45951 11.9337 3.79649 11.9141 3.94531L11.6992 8.10547C10.8008 9.25781 9.53125 8.96484 9.17969 7.71484L9.0626 4.15738C9.08973 3.10816 8.83799 1.46464 10.4437 1.23817Z", fill: "url(#paint39_radial_10246_159312)" }),
        React.createElement("path", { d: "M10.4437 1.23817C11.6483 1.06813 12.2267 2.26542 12.0802 3.30216C11.9943 3.45951 11.9337 3.79649 11.9141 3.94531L11.6992 8.10547C10.8008 9.25781 9.53125 8.96484 9.17969 7.71484L9.0626 4.15738C9.08973 3.10816 8.83799 1.46464 10.4437 1.23817Z", fill: "url(#paint40_radial_10246_159312)" }),
        React.createElement("path", { d: "M11.8994 4.15737C11.9482 2.8956 12.7903 2.56181 13.3594 2.57873C14.1794 2.60311 14.8301 3.32672 14.8047 4.15803L14.5987 8.92578C14.5501 9.1505 14.207 9.94531 13.2227 9.96094C12.2383 9.97656 11.8066 8.711 11.7139 8.07626L11.8994 4.15737Z", fill: "#FFC23E" }),
        React.createElement("path", { d: "M11.8994 4.15737C11.9482 2.8956 12.7903 2.56181 13.3594 2.57873C14.1794 2.60311 14.8301 3.32672 14.8047 4.15803L14.5987 8.92578C14.5501 9.1505 14.207 9.94531 13.2227 9.96094C12.2383 9.97656 11.8066 8.711 11.7139 8.07626L11.8994 4.15737Z", fill: "url(#paint41_radial_10246_159312)" }),
        React.createElement("path", { d: "M11.8994 4.15737C11.9482 2.8956 12.7903 2.56181 13.3594 2.57873C14.1794 2.60311 14.8301 3.32672 14.8047 4.15803L14.5987 8.92578C14.5501 9.1505 14.207 9.94531 13.2227 9.96094C12.2383 9.97656 11.8066 8.711 11.7139 8.07626L11.8994 4.15737Z", fill: "url(#paint42_linear_10246_159312)" }),
        React.createElement("path", { d: "M11.8994 4.15737C11.9482 2.8956 12.7903 2.56181 13.3594 2.57873C14.1794 2.60311 14.8301 3.32672 14.8047 4.15803L14.5987 8.92578C14.5501 9.1505 14.207 9.94531 13.2227 9.96094C12.2383 9.97656 11.8066 8.711 11.7139 8.07626L11.8994 4.15737Z", fill: "url(#paint43_linear_10246_159312)" }),
        React.createElement("path", { d: "M11.8994 4.15737C11.9482 2.8956 12.7903 2.56181 13.3594 2.57873C14.1794 2.60311 14.8301 3.32672 14.8047 4.15803L14.5987 8.92578C14.5501 9.1505 14.207 9.94531 13.2227 9.96094C12.2383 9.97656 11.8066 8.711 11.7139 8.07626L11.8994 4.15737Z", fill: "url(#paint44_radial_10246_159312)" }),
        React.createElement("path", { d: "M11.8994 4.15737C11.9482 2.8956 12.7903 2.56181 13.3594 2.57873C14.1794 2.60311 14.8301 3.32672 14.8047 4.15803L14.5987 8.92578C14.5501 9.1505 14.207 9.94531 13.2227 9.96094C12.2383 9.97656 11.8066 8.711 11.7139 8.07626L11.8994 4.15737Z", fill: "url(#paint45_radial_10246_159312)" }),
        React.createElement("path", { d: "M11.8994 4.15737C11.9482 2.8956 12.7903 2.56181 13.3594 2.57873C14.1794 2.60311 14.8301 3.32672 14.8047 4.15803L14.5987 8.92578C14.5501 9.1505 14.207 9.94531 13.2227 9.96094C12.2383 9.97656 11.8066 8.711 11.7139 8.07626L11.8994 4.15737Z", fill: "url(#paint46_radial_10246_159312)" }),
        React.createElement("path", { d: "M11.8994 4.15737C11.9482 2.8956 12.7903 2.56181 13.3594 2.57873C14.1794 2.60311 14.8301 3.32672 14.8047 4.15803L14.5987 8.92578C14.5501 9.1505 14.207 9.94531 13.2227 9.96094C12.2383 9.97656 11.8066 8.711 11.7139 8.07626L11.8994 4.15737Z", fill: "url(#paint47_radial_10246_159312)" }),
        React.createElement("path", { d: "M11.8994 4.15737C11.9482 2.8956 12.7903 2.56181 13.3594 2.57873C14.1794 2.60311 14.8301 3.32672 14.8047 4.15803L14.5987 8.92578C14.5501 9.1505 14.207 9.94531 13.2227 9.96094C12.2383 9.97656 11.8066 8.711 11.7139 8.07626L11.8994 4.15737Z", fill: "url(#paint48_linear_10246_159312)" }),
        React.createElement("path", { d: "M11.8994 4.15737C11.9482 2.8956 12.7903 2.56181 13.3594 2.57873C14.1794 2.60311 14.8301 3.32672 14.8047 4.15803L14.5987 8.92578C14.5501 9.1505 14.207 9.94531 13.2227 9.96094C12.2383 9.97656 11.8066 8.711 11.7139 8.07626L11.8994 4.15737Z", fill: "url(#paint49_radial_10246_159312)" }));
};
//# sourceMappingURL=RaisedHandIcon.js.map