// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { mergeStyles } from '@fluentui/react';
import { _pxToRem } from "../../../../acs-ui-common/src";
/**
 * @private
 */
export const themedCaptionsSettingsModalStyle = (theme) => ({
    main: {
        borderRadius: theme.effects.roundedCorner6,
        padding: _pxToRem(24),
        width: _pxToRem(440),
        height: 'fit-content',
        overflowY: 'auto'
    }
});
/**
 * @private
 */
export const titleClassName = mergeStyles({
    fontWeight: 600,
    fontSize: _pxToRem(20),
    lineHeight: _pxToRem(28)
});
/**
 * @private
 */
export const titleContainerClassName = mergeStyles({
    paddingBottom: _pxToRem(20)
});
/**
 * @private
 */
export const dropdownContainerClassName = mergeStyles({
    paddingTop: _pxToRem(16)
});
/**
 * @private
 */
export const dropdownInfoTextStyle = (theme) => mergeStyles({
    fontWeight: 400,
    fontSize: _pxToRem(12),
    lineHeight: _pxToRem(16),
    color: theme.palette.neutralSecondary,
    paddingBottom: _pxToRem(24)
});
/**
 * @private
 */
export const buttonsContainerClassName = mergeStyles({
    paddingTop: _pxToRem(16)
});
/**
 * @private
 */
export const buttonStyles = (theme) => {
    return {
        root: {
            borderRadius: _pxToRem(2),
            margin: _pxToRem(8)
        },
        rootHovered: {
            backgroundColor: theme.palette.themePrimary,
            borderColor: theme.palette.themePrimary,
            color: theme.palette.white
        },
        rootFocused: {
            backgroundColor: theme.palette.themePrimary,
            borderColor: theme.palette.themePrimary,
            color: theme.palette.white
        },
        rootPressed: {
            backgroundColor: theme.palette.themePrimary,
            borderColor: theme.palette.themePrimary,
            color: theme.palette.white
        }
    };
};
/**
 * @private
 */
export const defaultButtonStyles = () => {
    return {
        root: {
            borderRadius: _pxToRem(2),
            margin: _pxToRem(8)
        }
    };
};
/**
 * @private
 */
export const dropdownStyles = {
    callout: {
        height: _pxToRem(300),
        overflow: 'auto'
    },
    dropdownOptionText: {
        textWrap: 'auto',
        overflow: 'unset'
    }
};
//# sourceMappingURL=CaptionsSettingsModal.styles.js.map