/// <reference types="react" />
/**
 * Generate random float between two numbers, including min and max
 * @private
 */
export declare function getRandomFloat(minValue: number, maxValue: number): number;
/**
 * Generate random int between two numbers, including min and max
 * @private
 */
export declare function getRandomInt(minValue: number, maxValue: number): number;
/**
 * Calculate the start position for a new reaction in the prescriptive wave pattern
 * @private
 */
export declare function generateStartPositionWave(index: number, halfCanvasWidth: number, isOriginAtCanvasCenter?: boolean): number;
/**
 * @private
 */
export declare const reactionOverlayStyle: React.CSSProperties;
/**
 * @private
 */
export declare function getReactionMovementStyle(reactionXPoint: number): React.CSSProperties;
/**
 * @private
 */
export interface IReactionStyleBucket {
    sizeScale: number;
    opacityMax: number;
    heightMaxScale: number;
    heightMinScale?: number;
}
/**
 * Return a style bucket based on the number of active sprites.
 * For example, the first three reactions should appear at maximum
 * height, width, and opacity.
 * @private
 */
export declare function getReactionStyleBucket(): IReactionStyleBucket;
/**
 * @private
 */
export declare const moveFrames: (maxHeight: any, travelHeight: any) => string;
/**
 * @private
 */
export declare const moveAnimationStyles: (maxHeight: number, travelHeight: number) => React.CSSProperties;
/**
 * @private
 */
export declare const opacityTransition: (maxOpacity: any) => string;
/**
 * @private
 */
export declare const opacityAnimationStyles: (maxOpacity: number) => React.CSSProperties;
/**
 * @private
 */
export declare const spriteFrames: (numOfFrames: any, displaySizePx: any) => string;
/**
 * @private
 */
export declare const spriteAnimationStyles: (numOfFrames: number, displaySizePx: number, imageUrl: string) => React.CSSProperties;
//# sourceMappingURL=ReactionOverlay.style.d.ts.map