/**
 * @private
 */
export declare const MAXIMUM_LENGTH_OF_MESSAGE = 8000;
/**
 * @private
 */
export declare const isMessageTooLong: (valueLength: number) => boolean;
/**
 * @private
 */
export declare const sanitizeText: (message: string) => string;
/**
 * Determines whether the send box should be disabled.
 *
 * @param hasContent - Indicates whether the send box has content.
 * @param hasCompletedAttachmentUploads - Indicates whether attachment uploads have completed.
 * @param hasError - Indicates whether there is an error.
 * @param disabled - Indicates whether the send box is disabled.
 * @returns A boolean value indicating whether the send box should be disabled.
 */
export declare const isSendBoxButtonDisabled: ({ hasContent, hasError, disabled }: {
    hasContent: boolean;
    hasError: boolean;
    disabled: boolean;
}) => boolean;
/**
 * @internal
 */
export declare const modifyInlineImagesInContentString: (content: string, initialInlineImages: Record<string, string>[], onCompleted?: (content: string) => void) => Promise<void>;
//# sourceMappingURL=SendBoxUtils.d.ts.map