// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * Conditionally modify locale strings passed to the attachment card
 * @returns attachment card strings
 */
export const useLocaleAttachmentCardStringsTrampoline = () => {
    return {
        removeAttachment: '',
        uploadCompleted: '',
        uploading: '',
        attachmentMoreMenu: ''
    };
};
/**
 * Identify if a participant state if part of the Calling states or Hold states.
 */
export const _isParticipantStateCallingOrHold = (participantState) => {
    return !!participantState && ['Idle', 'Connecting', 'EarlyMedia', 'Ringing', 'Hold'].includes(participantState);
};
//# sourceMappingURL=common.js.map