import React from 'react';
/**
 * Icons used by the React components exported from this library.
 *
 * @remark See {@link CompositeIcons} for icons used by composites only.
 *
 * @public
 */
export type ComponentIcons = Record<keyof typeof DEFAULT_COMPONENT_ICONS, JSX.Element>;
/**
 * The default set of icons that are available to use in the UI components.
 *
 * @remark Icons used only in the composites are available in {@link DEFAULT_COMPOSITE_ICONS}.
 *
 * @public
 */
export declare const DEFAULT_COMPONENT_ICONS: {
    ChatMessageOptions: React.JSX.Element;
    ControlButtonCameraOff: React.JSX.Element;
    ControlButtonCameraOn: React.JSX.Element;
    ControlButtonEndCall: React.JSX.Element;
    ControlButtonMicOff: React.JSX.Element;
    ControlButtonMicOn: React.JSX.Element;
    ControlButtonOptions: React.JSX.Element;
    ControlButtonParticipants: React.JSX.Element;
    ControlButtonParticipantsContextualMenuItem: React.JSX.Element;
    ControlButtonScreenShareStart: React.JSX.Element;
    ControlButtonScreenShareStop: React.JSX.Element;
    ControlButtonRaiseHand: React.JSX.Element;
    ControlButtonLowerHand: React.JSX.Element;
    ControlButtonMicProhibited: React.JSX.Element;
    ControlButtonMicProhibitedSmall: React.JSX.Element;
    ControlButtonCameraProhibited: React.JSX.Element;
    ControlButtonCameraProhibitedSmall: React.JSX.Element;
    RaiseHandContextualMenuItem: React.JSX.Element;
    LowerHandContextualMenuItem: React.JSX.Element;
    ReactionButtonIcon: React.JSX.Element;
    OpenAttachment: React.JSX.Element;
    EditBoxCancel: React.JSX.Element;
    EditBoxSubmit: React.JSX.Element;
    ErrorBarCallCameraAccessDenied: React.JSX.Element;
    ErrorBarCallCameraAlreadyInUse: React.JSX.Element;
    ErrorBarCallLocalVideoFreeze: React.JSX.Element;
    ErrorBarCallMacOsCameraAccessDenied: React.JSX.Element;
    ErrorBarCallMacOsMicrophoneAccessDenied: React.JSX.Element;
    ErrorBarCallMicrophoneAccessDenied: React.JSX.Element;
    ErrorBarCallMicrophoneMutedBySystem: React.JSX.Element;
    ErrorBarCallMicrophoneUnmutedBySystem: React.JSX.Element;
    ErrorBarCallNetworkQualityLow: React.JSX.Element;
    ErrorBarCallNoMicrophoneFound: React.JSX.Element;
    ErrorBarCallNoSpeakerFound: React.JSX.Element;
    ErrorBarClear: React.JSX.Element;
    ErrorBarCallVideoRecoveredBySystem: React.JSX.Element;
    ErrorBarCallVideoStoppedBySystem: React.JSX.Element;
    ErrorBarMutedByRemoteParticipant: React.JSX.Element;
    NotificationBarRecording: React.JSX.Element;
    NotificationBarBreakoutRoomOpened: React.JSX.Element;
    NotificationBarBreakoutRoomPromptJoin: React.JSX.Element;
    NotificationBarBreakoutRoomChanged: React.JSX.Element;
    NotificationBarBreakoutRoomJoined: React.JSX.Element;
    NotificationBarBreakoutRoomClosingSoon: React.JSX.Element;
    NotificationBarBreakoutRoomClosed: React.JSX.Element;
    NotificationBarTranscriptionError: React.JSX.Element;
    NotificationBarTranscriptionStartedByYou: React.JSX.Element;
    HorizontalGalleryLeftButton: React.JSX.Element;
    HorizontalGalleryRightButton: React.JSX.Element;
    MessageDelivered: React.JSX.Element;
    MessageEdit: React.JSX.Element;
    MessageFailed: React.JSX.Element;
    MessageRemove: React.JSX.Element;
    MessageResend: React.JSX.Element;
    MessageSeen: React.JSX.Element;
    MessageSending: React.JSX.Element;
    OptionsCamera: React.JSX.Element;
    OptionsMic: React.JSX.Element;
    OptionsSpeaker: React.JSX.Element;
    ParticipantItemMicOff: React.JSX.Element;
    ParticipantItemOptions: React.JSX.Element;
    ParticipantItemOptionsHovered: React.JSX.Element;
    ParticipantItemScreenShareStart: React.JSX.Element;
    ParticipantItemSpotlighted: React.JSX.Element;
    HoldCallContextualMenuItem: React.JSX.Element;
    HoldCallButton: React.JSX.Element;
    ResumeCall: React.JSX.Element;
    SendBoxSend: React.JSX.Element;
    SendBoxSendHovered: React.JSX.Element;
    VideoTileMicOff: React.JSX.Element;
    VideoTileCameraOff: React.JSX.Element;
    DialpadBackspace: React.JSX.Element;
    VideoTilePinned: React.JSX.Element;
    ParticipantItemPinned: React.JSX.Element;
    VideoTileMoreOptions: React.JSX.Element;
    VideoTileScaleFit: React.JSX.Element;
    VideoTileScaleFill: React.JSX.Element;
    PinParticipant: React.JSX.Element;
    UnpinParticipant: React.JSX.Element;
    SplitButtonPrimaryActionCameraOn: React.JSX.Element;
    SplitButtonPrimaryActionCameraOff: React.JSX.Element;
    SplitButtonPrimaryActionMicUnmuted: React.JSX.Element;
    SplitButtonPrimaryActionMicMuted: React.JSX.Element;
    VerticalGalleryLeftButton: React.JSX.Element;
    VerticalGalleryRightButton: React.JSX.Element;
    ControlButtonVideoEffectsOption: React.JSX.Element;
    ConfigurationScreenVideoEffectsButton: React.JSX.Element;
    CaptionsIcon: React.JSX.Element;
    CaptionsOffIcon: React.JSX.Element;
    CaptionsSettingsIcon: React.JSX.Element;
    ChangeSpokenLanguageIcon: React.JSX.Element;
    ChangeCaptionLanguageIcon: React.JSX.Element;
    ContextMenuCameraIcon: React.JSX.Element;
    ContextMenuMicIcon: React.JSX.Element;
    ContextMenuSpeakerIcon: React.JSX.Element;
    ContextMenuRemoveParticipant: React.JSX.Element;
    SurveyStarIcon: React.JSX.Element;
    SurveyStarIconFilled: React.JSX.Element;
    StartSpotlightContextualMenuItem: React.JSX.Element;
    StopSpotlightContextualMenuItem: React.JSX.Element;
    VideoTileSpotlighted: React.JSX.Element;
    ContextualMenuMicMutedIcon: React.JSX.Element;
    IncomingCallNotificationRejectIcon: React.JSX.Element;
    IncomingCallNotificationAcceptIcon: React.JSX.Element;
    IncomingCallNotificationAcceptWithVideoIcon: React.JSX.Element;
    NotificationBarTogetherModeIcon: React.JSX.Element;
    RealTimeTextIcon: React.JSX.Element;
    ExpandIcon: React.JSX.Element;
    MinimizeIcon: React.JSX.Element;
};
//# sourceMappingURL=icons.d.ts.map