import { AdapterStateModifier } from './AzureCommunicationCallAdapter';
/**
 * Callback function used to provide custom data to build profile for a user or bot.
 *
 * @public
 */
export type OnFetchProfileCallback = (userId: string, defaultProfile?: Profile) => Promise<Profile | undefined>;
/**
 * The profile of a user or bot.
 *
 * @public
 */
export type Profile = {
    /**
     * Primary text to display, usually the name of the person.
     */
    displayName?: string;
};
/**
 * @private
 */
export declare const createProfileStateModifier: (onFetchProfile: OnFetchProfileCallback, notifyUpdate: () => void) => AdapterStateModifier;
//# sourceMappingURL=OnFetchProfileCallback.d.ts.map