/// <reference types="node" />
import { RemoteParticipant } from '@azure/communication-calling';
import { EventEmitter } from 'events';
/**
 * @private
 */
export declare class ParticipantSubscriber {
    private participant;
    private emitter;
    constructor(participant: RemoteParticipant, emitter: EventEmitter);
    private isMutedChangedHandler;
    private displayNameChangedHandler;
    private isSpeakingChangedHandler;
    private videoStreamsUpdatedHandler;
    private subscribeParticipantEvents;
    unsubscribeAll(): void;
}
/**
 * @private
 */
export type ParticipantEvent = 'isMutedChanged' | 'displayNameChanged' | 'isSpeakingChanged' | 'videoStreamsUpdated';
//# sourceMappingURL=ParticipantSubcriber.d.ts.map