/// <reference types="react" />
import { _ComplianceBannerProps, ActiveErrorMessage, ErrorBarProps } from "../../../../../react-components/src";
import { ActiveNotification } from "../../../../../react-components/src";
import { VideoGalleryLayout } from "../../../../../react-components/src";
import { AvatarPersonaDataCallback } from '../../common/AvatarPersona';
import { CallControlsProps } from '../components/CallControls';
import { MutedNotificationProps } from './MutedNotification';
import { SidePaneRenderer } from './SidePane/SidePaneProvider';
import { MobileChatSidePaneTabHeaderProps } from '../../common/TabHeader';
import { CapabilitiesChangeNotificationBarProps } from './CapabilitiesChangedNotificationBar';
import { PromptProps } from './Prompt';
import { DtmfDialPadOptions, NotificationOptions } from '../CallComposite';
/**
 * @private
 */
export interface CallArrangementProps {
    id?: string;
    complianceBannerProps: _ComplianceBannerProps;
    errorBarProps: ErrorBarProps | false;
    showErrorNotifications: boolean;
    mutedNotificationProps?: MutedNotificationProps;
    callControlProps: CallControlsProps;
    onRenderGalleryContent: () => JSX.Element;
    dataUiId: string;
    mobileView: boolean;
    modalLayerHostId: string;
    onFetchAvatarPersonaData?: AvatarPersonaDataCallback;
    updateSidePaneRenderer: (renderer: SidePaneRenderer | undefined) => void;
    mobileChatTabHeader?: MobileChatSidePaneTabHeaderProps;
    latestErrors: ActiveErrorMessage[] | ActiveNotification[];
    latestNotifications?: ActiveNotification[];
    onDismissError: (error: ActiveErrorMessage | ActiveNotification) => void;
    onDismissNotification?: (notification: ActiveNotification) => void;
    onUserSetOverflowGalleryPositionChange?: (position: 'Responsive' | 'horizontalTop') => void;
    onUserSetGalleryLayoutChange?: (layout: VideoGalleryLayout) => void;
    userSetGalleryLayout?: VideoGalleryLayout;
    capabilitiesChangedNotificationBarProps?: CapabilitiesChangeNotificationBarProps;
    onCloseChatPane?: () => void;
    onSetDialpadPage?: () => void;
    dtmfDialerPresent?: boolean;
    dtmfDialerOptions?: boolean | DtmfDialPadOptions;
    setIsPromptOpen?: (isOpen: boolean) => void;
    setPromptProps?: (props: PromptProps) => void;
    hideSpotlightButtons?: boolean;
    pinnedParticipants?: string[];
    setPinnedParticipants?: (pinnedParticipants: string[]) => void;
    doNotShowCameraAccessNotifications?: boolean;
    captionsOptions?: {
        height: 'full' | 'default';
    };
    notificationOptions?: NotificationOptions;
    isRTTSupportedCall?: boolean;
}
/**
 * @private
 * Maximum number of remote video tiles that can be pinned
 */
export declare const MAX_PINNED_REMOTE_VIDEO_TILES = 4;
/**
 * @private
 */
export declare const CallArrangement: (props: CallArrangementProps) => JSX.Element;
//# sourceMappingURL=CallArrangement.d.ts.map