/// <reference types="react" />
import { ParticipantMenuItemsCallback } from "../../../../../react-components/src";
import { CallControlOptions } from '../types/CallControlOptions';
import { ContainerRectProps } from '../../common/ContainerRectProps';
/**
 * @private
 */
export type CallControlsProps = {
    peopleButtonChecked?: boolean;
    onPeopleButtonClicked?: () => void;
    callInvitationURL?: string;
    onFetchParticipantMenuItems?: ParticipantMenuItemsCallback;
    options?: boolean | CallControlOptions;
    /**
     * Option to increase the height of the button flyout menu items from 36px to 48px.
     * Recommended for mobile devices.
     */
    increaseFlyoutItemSize?: boolean;
    isMobile?: boolean;
    displayVertical?: boolean;
};
/**
 * @private
 */
export declare const CallControls: (props: CallControlsProps & ContainerRectProps) => JSX.Element;
//# sourceMappingURL=CallControls.d.ts.map