/// <reference types="react" />
import { ActiveErrorMessage, ErrorBarProps } from "../../../../../react-components/src";
import { CallingHandlers } from "../../../../../calling-component-bindings/src";
import { Common } from "../../../../../acs-ui-common/src";
/**
 * @private
 */
export interface ConfigurationPageErrorBarProps {
    errorBarProps: {
        activeErrorMessages: ActiveErrorMessage[];
    } & Common<CallingHandlers, ErrorBarProps>;
    showTroubleShootingErrorBar?: boolean;
    onPermissionsTroubleshootingClick?: (permissionsState: {
        camera: PermissionState;
        microphone: PermissionState;
    }) => void;
    onNetworkingTroubleShootingClick?: () => void;
    permissionsState?: {
        camera: PermissionState;
        microphone: PermissionState;
    };
    onDismissError: (error: ActiveErrorMessage) => void;
}
/**
 * @private
 */
export declare const ConfigurationPageErrorBar: (props: ConfigurationPageErrorBarProps) => JSX.Element;
//# sourceMappingURL=ConfigurationPageErrorBar.d.ts.map