// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import React from 'react';
import { ErrorBar } from "../../../../../react-components/src";
import { FocusZone } from '@fluentui/react';
/**
 * @private
 */
export const ConfigurationPageErrorBar = (props) => {
    const { errorBarProps } = props;
    if (errorBarProps.activeErrorMessages.length === 0) {
        return React.createElement(React.Fragment, null);
    }
    return React.createElement(FocusZone, { shouldFocusOnMount: true },
        React.createElement(ErrorBar, Object.assign({}, errorBarProps, { onDismissError: props.onDismissError })));
};
//# sourceMappingURL=ConfigurationPageErrorBar.js.map