/// <reference types="react" />
import { CreateVideoStreamViewResult, VideoGalleryStream, VideoStreamOptions } from "../../../../../react-components/src";
import { RaisedHand } from "../../../../../react-components/src";
/**
 * @private
 */
export interface LocalAndRemotePIPProps {
    localParticipant: {
        displayName?: string;
        videoStream?: VideoGalleryStream;
        raisedHand?: RaisedHand;
    };
    remoteParticipant?: {
        userId: string;
        displayName?: string;
        videoStream?: VideoGalleryStream;
    };
    /** Callback to create the local video stream view */
    onCreateLocalStreamView?: (options?: VideoStreamOptions) => Promise<void | CreateVideoStreamViewResult>;
    /** Callback to dispose of the local video stream view */
    onDisposeLocalStreamView?: () => void;
    /** Callback to create a remote video stream view */
    onCreateRemoteStreamView?: (userId: string, options?: VideoStreamOptions) => Promise<void | CreateVideoStreamViewResult>;
    /** Callback to dispose a remote video stream view */
    onDisposeRemoteStreamView?: (userId: string) => Promise<void>;
    onClick?: () => void;
}
/**
 * @private
 */
export declare const LocalAndRemotePIP: (props: LocalAndRemotePIPProps) => JSX.Element;
//# sourceMappingURL=LocalAndRemotePIP.d.ts.map