/// <reference types="react" />
import { AudioDeviceInfo, VideoDeviceInfo } from '@azure/communication-calling';
import { VideoStreamOptions } from "../../../../../react-components/src";
/**
 * @private
 */
export interface LocalDeviceSettingsType {
    cameras: VideoDeviceInfo[];
    microphones: AudioDeviceInfo[];
    speakers: AudioDeviceInfo[];
    selectedCamera?: VideoDeviceInfo;
    selectedMicrophone?: AudioDeviceInfo;
    selectedSpeaker?: AudioDeviceInfo;
    microphonePermissionGranted: boolean | undefined;
    cameraPermissionGranted: boolean | undefined;
    onSelectCamera: (device: VideoDeviceInfo, options?: VideoStreamOptions) => Promise<void>;
    onSelectMicrophone: (device: AudioDeviceInfo) => Promise<void>;
    onSelectSpeaker: (device: AudioDeviceInfo) => Promise<void>;
    onClickVideoEffects?: () => void;
}
/**
 * @private
 */
export declare const LocalDeviceSettings: (props: LocalDeviceSettingsType) => JSX.Element;
//# sourceMappingURL=LocalDeviceSettings.d.ts.map