import { RefObject } from 'react';
import { SidePaneRenderer } from './SidePaneProvider';
import { ParticipantMenuItemsCallback, _DrawerMenuItemProps, MediaAccess } from "../../../../../../react-components/src";
import { AvatarPersonaDataCallback } from '../../../common/AvatarPersona';
import { IButton } from '@fluentui/react';
/** @private */
export declare const usePeoplePane: (props: {
    updateSidePaneRenderer: (renderer: SidePaneRenderer | undefined) => void;
    setDrawerMenuItems: (items: _DrawerMenuItemProps[]) => void;
    inviteLink?: string;
    onFetchAvatarPersonaData?: AvatarPersonaDataCallback;
    onFetchParticipantMenuItems?: ParticipantMenuItemsCallback;
    mobileView?: boolean;
    peopleButtonRef?: RefObject<IButton>;
    setParticipantActioned?: (userId: string) => void;
    spotlightedParticipantUserIds?: string[];
    onStartLocalSpotlight?: () => Promise<void>;
    onStopLocalSpotlight?: () => Promise<void>;
    onStartRemoteSpotlight?: (userIds: string[]) => Promise<void>;
    onStopRemoteSpotlight?: (userIds: string[]) => Promise<void>;
    onStopAllSpotlight?: () => Promise<void>;
    maxParticipantsToSpotlight?: number;
    onMuteParticipant?: (userId: string) => Promise<void>;
    onMuteAllRemoteParticipants?: () => Promise<void>;
    pinnedParticipants?: string[];
    onPinParticipant?: (userId: string) => void;
    onUnpinParticipant?: (userId: string) => void;
    disablePinMenuItem?: boolean;
    onForbidAudio?: (userIds: string[]) => Promise<void>;
    onPermitAudio?: (userIds: string[]) => Promise<void>;
    onForbidOthersAudio?: () => Promise<void>;
    onPermitOthersAudio?: () => Promise<void>;
    onForbidVideo?: (userIds: string[]) => Promise<void>;
    onPermitVideo?: (userIds: string[]) => Promise<void>;
    onForbidOthersVideo?: () => Promise<void>;
    onPermitOthersVideo?: () => Promise<void>;
    meetingMediaAccess?: MediaAccess;
    sidePaneDismissButtonRef?: RefObject<IButton>;
    chatButtonPresent?: boolean;
}) => {
    openPeoplePane: () => void;
    closePeoplePane: () => void;
    isPeoplePaneOpen: boolean;
};
//# sourceMappingURL=usePeoplePane.d.ts.map