import React from 'react';
import { SidePaneRenderer } from './SidePaneProvider';
import { ActiveErrorMessage } from "../../../../../../react-components/src";
import { IButton } from '@fluentui/react';
/** @private */
export declare const VIDEO_EFFECTS_SIDE_PANE_ID = "videoeffects";
/** @private */
export declare const VIDEO_EFFECTS_SIDE_PANE_WIDTH_REM = 17.5;
/** @private */
export declare const useVideoEffectsPane: (updateSidePaneRenderer: (renderer: SidePaneRenderer | undefined) => void, mobileView: boolean, latestErrors: ActiveErrorMessage[], onDismissError: (error: ActiveErrorMessage) => void, cameraButtonRef?: React.RefObject<IButton>) => {
    openVideoEffectsPane: () => void;
    closeVideoEffectsPane: () => void;
    toggleVideoEffectsPane: () => void;
    isVideoEffectsPaneOpen: boolean;
};
/**
 * Active video effect with timestamp.
 *
 * @private
 */
export interface ActiveVideoEffect {
    /**
     * Type of video effect that is active.
     */
    type: 'blur' | 'replacement';
    /**
     * The latest timestamp when this effect was activated.
     *
     */
    timestamp: Date;
}
//# sourceMappingURL=useVideoEffectsPane.d.ts.map