// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { PrimaryButton, mergeStyles } from '@fluentui/react';
import React from 'react';
import { buttonStyle, buttonWithIconStyles, videoCameraIconStyle } from '../styles/StartCallButton.styles';
import { Video20Filled } from '@fluentui/react-icons';
import { useLocale } from '../../localization';
/**
 * @private
 */
export const StartCallButton = (props) => {
    const { rejoinCall } = props;
    const locale = useLocale();
    return React.createElement(PrimaryButton, Object.assign({}, props, { "data-ui-id": "call-composite-start-call-button", className: mergeStyles(buttonStyle, props.className), styles: buttonWithIconStyles, text: rejoinCall ? locale.strings.call.rejoinCallButtonLabel : locale.strings.call.startCallButtonLabel, onRenderIcon: props.hideIcon ? undefined : () => React.createElement(Video20Filled, { className: videoCameraIconStyle }) }));
};
//# sourceMappingURL=StartCallButton.js.map