// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { useSelector } from './useSelector';
import { getBreakoutRoomDisplayName } from '../selectors/baseSelectors';
/**
 * @private
 */
export const useCompositeStringsForNotificationStackStrings = (locale) => {
    const breakoutRoomDisplayName = useSelector(getBreakoutRoomDisplayName);
    const notificationStackStrings = locale.component.strings.notificationStack;
    if (notificationStackStrings.breakoutRoomJoined && locale.strings.call.breakoutRoomJoinedNotificationTitle && breakoutRoomDisplayName) {
        notificationStackStrings.breakoutRoomJoined.title = locale.strings.call.breakoutRoomJoinedNotificationTitle.replace('{roomName}', breakoutRoomDisplayName);
    }
    return notificationStackStrings;
};
//# sourceMappingURL=useCompositeStringsForNotificationStack.js.map