// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { getCallingSelector } from "../../../../../calling-component-bindings/src";
import { useAdaptedSelector } from './useAdaptedSelector';
import { useHandlers } from './useHandlers';
/**
 * Private implementation of the hook
 * @private
 */
export const usePropsFor = (component) => {
    const selector = getCallingSelector(component);
    if (!selector) {
        throw new Error("Can't find the selector for component, please check supported component list");
    }
    return Object.assign(Object.assign({}, useAdaptedSelector(selector)), useHandlers(component));
};
//# sourceMappingURL=usePropsFor.js.map