/// <reference types="react" />
import { DiagnosticQuality } from '@azure/communication-calling';
import { ActiveErrorMessage, ParticipantMenuItemsCallback } from "../../../../../react-components/src";
import { ActiveNotification } from "../../../../../react-components/src";
import { VideoGalleryLayout } from "../../../../../react-components/src";
import { AvatarPersonaDataCallback } from '../../common/AvatarPersona';
import { CallCompositeOptions, DtmfDialPadOptions, NotificationOptions } from '../CallComposite';
import { MobileChatSidePaneTabHeaderProps } from '../../common/TabHeader';
import { SidePaneRenderer } from '../components/SidePane/SidePaneProvider';
import { CapabilitiesChangeNotificationBarProps } from '../components/CapabilitiesChangedNotificationBar';
/**
 * @private
 */
export interface CallPageProps {
    mobileView: boolean;
    modalLayerHostId: string;
    callInvitationURL?: string;
    onFetchAvatarPersonaData?: AvatarPersonaDataCallback;
    onFetchParticipantMenuItems?: ParticipantMenuItemsCallback;
    updateSidePaneRenderer: (renderer: SidePaneRenderer | undefined) => void;
    mobileChatTabHeader?: MobileChatSidePaneTabHeaderProps;
    options?: CallCompositeOptions;
    latestErrors: ActiveErrorMessage[] | ActiveNotification[];
    latestNotifications: ActiveNotification[];
    onDismissError: (error: ActiveErrorMessage | ActiveNotification) => void;
    onDismissNotification: (notification: ActiveNotification) => void;
    galleryLayout: VideoGalleryLayout;
    capabilitiesChangedNotificationBarProps?: CapabilitiesChangeNotificationBarProps;
    onUserSetGalleryLayoutChange?: (layout: VideoGalleryLayout) => void;
    userSetOverflowGalleryPosition?: 'Responsive' | 'horizontalTop';
    onSetUserSetOverflowGalleryPosition?: (position: 'Responsive' | 'horizontalTop') => void;
    onCloseChatPane?: () => void;
    pinnedParticipants?: string[];
    setPinnedParticipants?: (pinnedParticipants: string[]) => void;
    compositeAudioContext?: AudioContext;
    disableAutoShowDtmfDialer?: boolean | DtmfDialPadOptions;
    notificationOptions?: NotificationOptions;
}
/**
 * @private
 */
export declare const CallPage: (props: CallPageProps) => JSX.Element;
/**
 * @private
 */
export declare const isNetworkHealthy: (value: DiagnosticQuality | boolean | undefined) => boolean;
//# sourceMappingURL=CallPage.d.ts.map