/// <reference types="react" />
import { ActiveErrorMessage } from "../../../../../react-components/src";
import { SidePaneRenderer } from '../components/SidePane/SidePaneProvider';
import { CapabilitiesChangeNotificationBarProps } from '../components/CapabilitiesChangedNotificationBar';
/**
 * @private
 */
export interface ConfigurationPageProps {
    mobileView: boolean;
    startCallHandler(): void;
    updateSidePaneRenderer: (renderer: SidePaneRenderer | undefined) => void;
    latestErrors: ActiveErrorMessage[];
    onDismissError: (error: ActiveErrorMessage) => void;
    modalLayerHostId: string;
    capabilitiesChangedNotificationBarProps?: CapabilitiesChangeNotificationBarProps;
    logo?: {
        url: string;
        alt?: string;
        shape?: 'unset' | 'circle';
    };
    backgroundImage?: {
        url: string;
    };
    /**
     * Options for settings related to joining a call.
     */
    joinCallOptions?: {
        /**
         * options for checking microphone permissions when joining a call.
         * block on access will block the user from joining the call if the microphone permission is not granted.
         * skip will allow the user to join the call without granting the microphone permission.
         * @defaultValue 'requireMicrophoneAvailable'
         */
        microphoneCheck?: 'requireMicrophoneAvailable' | 'skip';
    };
}
/**
 * @private
 */
export declare const ConfigurationPage: (props: ConfigurationPageProps) => JSX.Element;
//# sourceMappingURL=ConfigurationPage.d.ts.map