// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import React from 'react';
import { useHandlers } from '../hooks/useHandlers';
import { Survey } from '../../common/Survey';
import { Stack, mergeStyles } from '@fluentui/react';
import { containerStyle } from '../styles/NetworkReconnectTile.styles';
import { containerItemGap } from '../styles/NoticePage.styles';
/**
 * Generic page with a title and more details text for serving up a notice to the user.
 *
 * @private
 */
export function SurveyPage(props) {
    var _a, _b;
    const handlers = useHandlers(Survey);
    return React.createElement(Stack, { verticalFill: true, verticalAlign: "center", horizontalAlign: "center", "data-ui-id": props.dataUiId, "aria-atomic": true },
        React.createElement(Stack, { className: mergeStyles(containerStyle), tokens: containerItemGap },
            React.createElement(Survey, Object.assign({}, handlers, props, { onSurveySubmittedCustom: (_a = props.surveyOptions) === null || _a === void 0 ? void 0 : _a.onSurveySubmitted, onSurveyClosed: (_b = props.surveyOptions) === null || _b === void 0 ? void 0 : _b.onSurveyClosed, isMobile: props.mobileView }))));
}
//# sourceMappingURL=SurveyPage.js.map