// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import React from 'react';
import { mergeStyles, Stack, Text } from '@fluentui/react';
import { CallCompositeIcon } from '../../common/icons';
import { containerItemGap, containerStyle, titleStyles } from '../styles/NoticePage.styles';
import { useLocale } from '../../localization';
/**
 * Page shown after the survey is submitted.
 * @private
 */
export function ThankYouForFeedbackPage(props) {
    const strings = useLocale().strings.call;
    return React.createElement(Stack, { verticalFill: true, verticalAlign: "center", horizontalAlign: "center", "data-ui-id": 'thank-you-page', "aria-atomic": true },
        React.createElement(Stack, { className: mergeStyles(containerStyle), tokens: containerItemGap },
            props.iconName && React.createElement(CallCompositeIcon, { iconName: props.iconName }),
            React.createElement(Text, { className: mergeStyles(titleStyles), "aria-live": "assertive" }, strings.endOfSurveyText)));
}
//# sourceMappingURL=ThankYouForFeedbackPage.js.map