import { CallState as SDKCallStatus, DominantSpeakersInfo, ParticipantCapabilities, ParticipantRole, VideoDeviceInfo, AudioDeviceInfo, CapabilitiesChangeInfo, EnvironmentInfo } from '@azure/communication-calling';
import { BreakoutRoom, BreakoutRoomsSettings } from '@azure/communication-calling';
import { CallState, DeviceManagerState, DiagnosticsCallFeatureState, LocalVideoStreamState, RemoteParticipantState } from "../../../../../calling-stateful-client/src";
import { RealTimeTextInfo } from "../../../../../calling-stateful-client/src";
import { CaptionsInfo } from "../../../../../calling-stateful-client/src";
import { ConferencePhoneInfo } from "../../../../../calling-stateful-client/src";
import { SpotlightedParticipant } from '@azure/communication-calling';
import { CallAdapterState, CallCompositePage, VideoBackgroundImage } from '../adapter/CallAdapter';
import { VideoBackgroundEffect } from '../adapter/CallAdapter';
import { DeepNoiseSuppressionEffectDependency, VideoBackgroundEffectsDependency } from "../../../../../calling-component-bindings/src";
import { AdapterErrors, AdapterNotifications } from '../../common/adapters';
import { RaisedHandState } from "../../../../../calling-stateful-client/src";
import { CommunicationIdentifier } from '@azure/communication-common';
import { CaptionsKind } from '@azure/communication-calling';
import { ReactionResources, MediaAccess } from "../../../../../react-components/src";
import { CommunicationIdentifierKind } from '@azure/communication-common';
/**
 * @private
 */
export declare const getDisplayName: (state: CallAdapterState) => string | undefined;
/**
 * @private
 */
export declare const getCallId: (state: CallAdapterState) => string | undefined;
/**
 * @private
 */
export declare const getEndedCall: (state: CallAdapterState) => CallState | undefined;
/**
 * @private
 */
export declare const getCallStatus: (state: CallAdapterState) => SDKCallStatus;
/**
 * @private
 */
export declare const getDeviceManager: (state: CallAdapterState) => DeviceManagerState;
/**
 * @private
 */
export declare const getIsScreenShareOn: (state: CallAdapterState) => boolean;
/**
 * @private
 */
export declare const getLocalParticipantRaisedHand: (state: CallAdapterState) => RaisedHandState | undefined;
/**
 * @private
 */
export declare const getCapabilites: (state: CallAdapterState) => ParticipantCapabilities | undefined;
/**
 * @private
 */
export declare const getIsPreviewCameraOn: (state: CallAdapterState) => boolean;
/**
 * @private
 */
export declare const getMicrophones: (state: CallAdapterState) => AudioDeviceInfo[];
/**
 * @private
 */
export declare const getCameras: (state: CallAdapterState) => VideoDeviceInfo[];
/**
 * @private
 */
export declare const getRole: (state: CallAdapterState) => ParticipantRole | undefined;
/**
 * @private
 */
export declare const getPage: (state: CallAdapterState) => CallCompositePage;
/**
 * @private
 */
export declare const getTransferCall: (state: CallAdapterState) => CallState | undefined;
/**
 * @private
 */
export declare const getLocalMicrophoneEnabled: (state: CallAdapterState) => boolean;
/**
 * @private
 */
export declare const getLocalVideoStreams: (state: CallAdapterState) => LocalVideoStreamState[] | undefined;
/**
 * @private
 */
export declare const getIsTranscriptionActive: (state: CallAdapterState) => boolean;
/**
 * @private
 */
export declare const getIsRecordingActive: (state: CallAdapterState) => boolean;
/**
 * @private
 */
export declare const getUserFacingDiagnostics: (state: CallAdapterState) => DiagnosticsCallFeatureState | undefined;
/**
 * @private
 */
export declare const getDominantSpeakerInfo: (state: CallAdapterState) => undefined | DominantSpeakersInfo;
/**
 * @private
 */
export declare const getRemoteParticipants: (state: CallAdapterState) => undefined | {
    [keys: string]: RemoteParticipantState;
};
/**
 * @private
 */
export declare const getEnvironmentInfo: (state: CallAdapterState) => EnvironmentInfo | undefined;
/**
 * @private
 */
export declare const getSelectedVideoEffect: (state: CallAdapterState) => VideoBackgroundEffect | undefined;
/** @private */
export declare const getCaptionsKind: (state: CallAdapterState) => CaptionsKind | undefined;
/** @private */
export declare const getCaptions: (state: CallAdapterState) => CaptionsInfo[] | undefined;
/** @private */
export declare const getRealTimeText: (state: CallAdapterState) => {
    completedMessages?: RealTimeTextInfo[];
    currentInProgress?: RealTimeTextInfo[];
    myInProgress?: RealTimeTextInfo;
} | undefined;
/** @private */
export declare const getCaptionsStatus: (state: CallAdapterState) => boolean | undefined;
/** @private */
export declare const getRealTimeTextStatus: (state: CallAdapterState) => boolean | undefined;
/** @private */
export declare const getCurrentCaptionLanguage: (state: CallAdapterState) => string | undefined;
/** @private */
export declare const getCurrentSpokenLanguage: (state: CallAdapterState) => string | undefined;
/** @private */
export declare const getSupportedCaptionLanguages: (state: CallAdapterState) => string[] | undefined;
/** @private */
export declare const getSupportedSpokenLanguages: (state: CallAdapterState) => string[] | undefined;
/**
 * @private
 */
export declare const getIsTeamsCall: (state: CallAdapterState) => boolean;
/**
 * @private
 */
export declare const getIsTeamsMeeting: (state: CallAdapterState) => boolean;
/**
 * @private
 */
export declare const getTeamsMeetingCoordinates: (state: CallAdapterState) => ConferencePhoneInfo[] | undefined;
/**
 * @private
 */
export declare const getLatestErrors: (state: CallAdapterState) => AdapterErrors;
/**
 * @private
 */
export declare const getLatestCapabilitiesChangedInfo: (state: CallAdapterState) => CapabilitiesChangeInfo | undefined;
/**
 * @private
 */
export declare const getTargetCallees: (state: CallAdapterState) => CommunicationIdentifier[] | undefined;
/**
 * @private
 */
export declare const getStartTime: (state: CallAdapterState) => Date | undefined;
/**
 * @private
 */
export declare const getSpotlightedParticipants: (state: CallAdapterState) => SpotlightedParticipant[] | undefined;
/**
 * @private
 */
export declare const getAssignedBreakoutRoom: (state: CallAdapterState) => BreakoutRoom | undefined;
/**
 * @private
 */
export declare const getBreakoutRoomSettings: (state: CallAdapterState) => BreakoutRoomsSettings | undefined;
/**
 * @private
 */
export declare const getBreakoutRoomDisplayName: (state: CallAdapterState) => string | undefined;
/**
 * @private
 */
export declare const getLatestNotifications: (state: CallAdapterState) => AdapterNotifications;
/** @private */
export declare const getVideoEffectsDependency: (state: CallAdapterState) => (() => Promise<VideoBackgroundEffectsDependency>) | undefined;
/** @private */
export declare const getDeepNoiseSuppresionEffectsDependency: (state: CallAdapterState) => (() => Promise<DeepNoiseSuppressionEffectDependency>) | undefined;
/** @private */
export declare const getDeepNoiseSuppresionIsOnByDefault: (state: CallAdapterState) => boolean | undefined;
/** @private */
export declare const getHideDeepNoiseSupressionButton: (state: CallAdapterState) => boolean | undefined;
/** @private */
export declare const getReactionResources: (state: CallAdapterState) => ReactionResources | undefined;
/** @private */
export declare const getAlternateCallerId: (state: CallAdapterState) => string | undefined;
/** @private */
export declare const getIsRoomsCall: (state: CallAdapterState) => boolean;
/** @private */
export declare const getVideoBackgroundImages: (state: CallAdapterState) => VideoBackgroundImage[] | undefined;
/**
 * @private
 * Gets the together mode streams state.
 * @param state - The current state of the call adapter.
 * @returns The together mode streams state or undefined.
 */
export declare const getIsTogetherModeActive: (state: CallAdapterState) => boolean | undefined;
/**
 * @private
 * Gets local participant's user id.
 * @param state - The current state of the call adapter.
 * @returns The local participant's user id or undefined.
 */
export declare const getLocalUserId: (state: CallAdapterState) => CommunicationIdentifierKind | undefined;
/** @private */
export declare const getMediaAccessSetting: (state: CallAdapterState) => MediaAccess | undefined;
//# sourceMappingURL=baseSelectors.d.ts.map