// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import * as reselect from 'reselect';
import { getUserFacingDiagnostics } from './baseSelectors';
import { lobbySelector } from './lobbySelector';
/**
 * @private
 */
export const networkReconnectTileSelector = reselect.createSelector([getUserFacingDiagnostics, lobbySelector], (diagnostics, lobbyProps) => {
    var _a;
    return {
        networkReconnectValue: (_a = diagnostics === null || diagnostics === void 0 ? void 0 : diagnostics.network.latest.networkReconnect) === null || _a === void 0 ? void 0 : _a.value,
        localParticipantVideoStream: lobbyProps.localParticipantVideoStream
    };
});
//# sourceMappingURL=networkReconnectTileSelector.js.map