// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
// By default, absolute positioned elements are overlayed over static ones.
// So we need to explicitly layer the background and contents.
const OVERLAY_BACKGROUND_ZINDEX = 0;
const OVERLAY_CONTENT_ZINDEX = OVERLAY_BACKGROUND_ZINDEX + 1;
/**
 * @private
 */
export const containerStyles = {
    root: {
        height: '100%',
        width: '100%',
        position: 'relative',
        padding: '0.5rem'
    }
};
/**
 * @private
 */
export const overlayBackgroundStyles = isVideoReady => {
    return {
        position: 'absolute',
        height: '100%',
        width: '100%',
        background: isVideoReady ? 'black' : undefined,
        opacity: isVideoReady ? 0.6 : undefined,
        zIndex: OVERLAY_BACKGROUND_ZINDEX
    };
};
/**
 * @private
 */
export const overlayContentStyles = {
    height: '100%',
    width: '100%',
    zIndex: OVERLAY_CONTENT_ZINDEX
};
/**
 * @private
 */
export const videoTileStyles = {
    root: {
        height: '100%',
        width: '100%'
    }
};
//# sourceMappingURL=ExpandedLocalVideoTile.styles.js.map