import { RemoteParticipantState } from "../../../../../calling-stateful-client/src";
import { CommunicationIdentifier } from '@azure/communication-common';
import { DtmfDialPadOptions } from '../CallComposite';
type ParticipantChangedAnnouncmentStrings = {
    participantJoinedNoticeString: string;
    twoParticipantJoinedNoticeString: string;
    threeParticipantJoinedNoticeString: string;
    participantLeftNoticeString: string;
    twoParticipantLeftNoticeString: string;
    threeParticipantLeftNoticeString: string;
    unnamedParticipantString: string;
    manyParticipantsJoined: string;
    manyParticipantsLeft: string;
    manyUnnamedParticipantsJoined: string;
    manyUnnamedParticipantsLeft: string;
};
/**
 * sets the announcement string whenever a Participant comes or goes from a call to be
 * used by the system narrator.
 *
 * @returns string to be used by the narrator and Announcer component
 *
 * @internal
 */
export declare const useParticipantChangedAnnouncement: () => string;
/**
 * Generates the announcement string for when a participant joins or leaves a call.
 */
export declare const createAnnouncementString: (direction: 'joined' | 'left', participants: RemoteParticipantState[], strings: ParticipantChangedAnnouncmentStrings) => string;
/**
 * determines if the media gallery should be replaced by the dtmf dialer
 * @param callees Target callees to determine if the dtmf dialer should be shown
 * @param remoteParticipants Remote participants to determine if the dtmf dialer should be shown if there are participants in the call
 * when joining
 * @returns whether the dialer should be the gallery content or not
 */
export declare const showDtmfDialer: (callees?: CommunicationIdentifier[], remoteParticipants?: RemoteParticipantState[], dialerOptions?: boolean | DtmfDialPadOptions) => boolean;
export {};
//# sourceMappingURL=MediaGalleryUtils.d.ts.map