import { ActiveErrorMessage, ErrorType } from "../../../../../react-components/src";
import { TrackedNotifications } from '../types/ErrorTracking';
import { NotificationType, ActiveNotification } from "../../../../../react-components/src";
/**
 * Take the set of active notifications, and filter to only those that are newer than previously dismissed notifications or have never been dismissed.
 *
 * @private
 */
export declare const filterLatestNotifications: (activeNotifications: ActiveErrorMessage[] | ActiveNotification[], trackedNotifications: TrackedNotifications) => ActiveErrorMessage[] | ActiveNotification[];
/**
 * Maintain a record of the most recently active notification for each notification type.
 *
 * @private
 */
export declare const updateTrackedNotificationsWithActiveNotifications: (existingTrackedNotifications: TrackedNotifications, activeNotifications: ActiveErrorMessage[] | ActiveNotification[]) => TrackedNotifications;
/**
 * Create a record for when the notification was most recently dismissed for tracking dismissed notifications.
 *
 * @private
 */
export declare const trackNotificationAsDismissed: (notificationType: ErrorType | NotificationType, trackedNotifications: TrackedNotifications) => TrackedNotifications;
//# sourceMappingURL=TrackErrors.d.ts.map