// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * @private
 */
export const themedCopyLinkButtonStyles = (theme, mobileView) => ({
    root: {
        minHeight: mobileView ? '3rem' : '2.5rem',
        borderRadius: mobileView ? theme.effects.roundedCorner6 : theme.effects.roundedCorner4,
        width: '100%'
    },
    textContainer: {
        display: 'contents'
    }
});
/**
 * @private
 */
export const themedMenuStyle = (theme) => ({
    root: {
        borderRadius: theme.effects.roundedCorner6
    }
});
/**
 * @private
 */
export const iconStyles = {
    // overwrite default line height which results in icons having different size
    lineHeight: '0',
    width: '1.125rem'
};
//# sourceMappingURL=AddPeopleDropdown.styles.js.map