// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import React from 'react';
import { CaptionsSettingsModal } from "../../../../react-components/src";
import { useLocale } from '../localization';
import { usePropsFor } from '../CallComposite/hooks/usePropsFor';
/** @private */
export const CallingCaptionsSettingsModal = (props) => {
    const CaptionsSettingsModalProps = usePropsFor(CaptionsSettingsModal);
    const strings = useLocale().strings.call;
    const modalStrings = {
        captionsSettingsModalTitle: strings.captionsSettingsModalTitle,
        captionsSettingsSpokenLanguageDropdownLabel: strings.captionsSettingsSpokenLanguageDropdownLabel,
        captionsSettingsCaptionLanguageDropdownLabel: strings.captionsSettingsCaptionLanguageDropdownLabel,
        captionsSettingsSpokenLanguageDropdownInfoText: strings.captionsSettingsSpokenLanguageDropdownInfoText,
        captionsSettingsCaptionLanguageDropdownInfoText: strings.captionsSettingsCaptionLanguageDropdownInfoText,
        captionsSettingsConfirmButtonLabel: strings.captionsSettingsConfirmButtonLabel,
        captionsSettingsCancelButtonLabel: strings.captionsSettingsCancelButtonLabel,
        captionsSettingsModalAriaLabel: strings.captionsSettingsModalAriaLabel,
        captionsSettingsCloseModalButtonAriaLabel: strings.captionsSettingsCloseModalButtonAriaLabel
    };
    const spokenLanguageStrings = strings.spokenLanguageStrings;
    const captionLanguageStrings = strings.captionLanguageStrings;
    return React.createElement(CaptionsSettingsModal, Object.assign({}, CaptionsSettingsModalProps, { strings: modalStrings, spokenLanguageStrings: spokenLanguageStrings, captionLanguageStrings: captionLanguageStrings, showModal: props.showCaptionsSettingsModal, onDismissCaptionsSettings: props.onDismissCaptionsSettings, changeCaptionLanguage: props.changeCaptionLanguage }));
};
//# sourceMappingURL=CallingCaptionsSettingsModal.js.map