// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import React from 'react';
import { RealTimeTextModal } from "../../../../react-components/src";
import { useLocale } from '../localization';
/** @private */
export const CallingRealTimeTextModal = (props) => {
    const strings = useLocale().strings.call;
    const modalStrings = {
        realTimeTextModalTitle: strings.realTimeTextModalTitle,
        realTimeTextModalText: strings.realTimeTextModalText,
        realTimeTextConfirmButtonLabel: strings.realTimeTextConfirmButtonLabel,
        realTimeTextCancelButtonLabel: strings.realTimeTextCancelButtonLabel,
        realTimeTextModalAriaLabel: strings.realTimeTextModalAriaLabel,
        realTimeTextCloseModalButtonAriaLabel: strings.realTimeTextCloseModalButtonAriaLabel
    };
    return React.createElement(RealTimeTextModal, { strings: modalStrings, showModal: props.showModal, onDismissModal: props.onDismissModal, onStartRealTimeText: props.onStartRealTimeText });
};
//# sourceMappingURL=CallingRealTimeTextModal.js.map