import { RefObject } from 'react';
import { CallAdapter } from '../../CallComposite';
import { IButton, ITheme } from '@fluentui/react';
import { ControlBarButtonStyles } from "../../../../../react-components/src";
import { VideoGalleryLayout } from "../../../../../react-components/src";
import { ContainerRectProps } from '../ContainerRectProps';
import { CallWithChatControlOptions } from '../../CallWithChatComposite';
import { CommonCallControlOptions } from '../types/CommonCallControlOptions';
/**
 * @private
 */
export interface CommonCallControlBarProps {
    callAdapter: CallAdapter;
    peopleButtonChecked: boolean;
    onPeopleButtonClicked: () => void;
    onMoreButtonClicked?: () => void;
    mobileView: boolean;
    disableButtonsForLobbyPage: boolean;
    callControls?: boolean | CommonCallControlOptions | CallWithChatControlOptions;
    disableButtonsForHoldScreen?: boolean;
    onClickShowDialpad?: () => void;
    onClickVideoEffects?: (showVideoEffects: boolean) => void;
    isCaptionsSupported?: boolean;
    isRealTimeTextSupported?: boolean;
    isCaptionsOn?: boolean;
    displayVertical?: boolean;
    onUserSetOverflowGalleryPositionChange?: (position: 'Responsive' | 'horizontalTop') => void;
    onUserSetGalleryLayout?: (layout: VideoGalleryLayout) => void;
    userSetGalleryLayout?: VideoGalleryLayout;
    peopleButtonRef?: RefObject<IButton>;
    cameraButtonRef?: RefObject<IButton>;
    videoBackgroundPickerRef?: RefObject<IButton>;
    onSetDialpadPage?: () => void;
    dtmfDialerPresent?: boolean;
    onStopLocalSpotlight?: () => void;
    useTeamsCaptions?: boolean;
    onToggleTeamsMeetingConferenceModal?: () => void;
    teamsMeetingConferenceModalPresent?: boolean;
    sidePaneDismissButtonRef?: RefObject<IButton>;
    onStartRealTimeText?: () => void;
    startRealTimeTextButtonChecked?: boolean;
}
type CommonCallControlBarMergedProps = CommonCallControlBarProps & ContainerRectProps;
/**
 * @private
 */
export declare const CommonCallControlBar: (props: CommonCallControlBarMergedProps) => JSX.Element;
/** @private */
export declare const getDesktopCommonButtonStyles: (theme: ITheme) => ControlBarButtonStyles;
export {};
//# sourceMappingURL=CommonCallControlBar.d.ts.map