// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import React, { useMemo } from 'react';
import { useCallWithChatCompositeStrings } from '../../CallWithChatComposite/hooks/useCallWithChatCompositeStrings';
import { MoreDrawer } from './MoreDrawer';
import { moreDrawerSelector } from '../../CallWithChatComposite/selectors/moreDrawerSelector';
import { useSelector } from '../../CallComposite/hooks/useSelector';
import { useHandlers } from '../../CallComposite/hooks/useHandlers';
/** @private */
export const PreparedMoreDrawer = (props) => {
    const strings = useCallWithChatCompositeStrings();
    const moreDrawerStrings = useMemo(() => ({
        peopleButtonLabel: strings.peopleButtonLabel,
        audioDeviceMenuTitle: strings.moreDrawerAudioDeviceMenuTitle,
        microphoneMenuTitle: strings.moreDrawerMicrophoneMenuTitle,
        speakerMenuTitle: strings.moreDrawerSpeakerMenuTitle,
        captionsMenuTitle: strings.moreDrawerCaptionsMenuTitle,
        spokenLanguageMenuTitle: strings.moreDrawerSpokenLanguageMenuTitle,
        captionLanguageMenuTitle: strings.moreDrawerCaptionLanguageMenuTitle,
        galleryOptionsMenuTitle: strings.moreDrawerGalleryOptionsMenuTitle
    }), [strings]);
    const deviceProps = useSelector(moreDrawerSelector);
    const callHandlers = useHandlers(MoreDrawer);
    return React.createElement(MoreDrawer, Object.assign({}, props, deviceProps, callHandlers, { strings: moreDrawerStrings }));
};
//# sourceMappingURL=PreparedMoreDrawer.js.map