/// <reference types="react" />
import { _ICoordinates } from "../../../../react-components/src";
import { ModalLocalAndRemotePIPStyles } from './styles/ModalLocalAndRemotePIP.styles';
/**
 * @private
 */
export interface ModalLocalAndRemotePIPStrings {
    /**
     * Aria label for dismiss control when using keyboard
     */
    dismissModalAriaLabel?: string;
}
/**
 * A wrapping component with a draggable {@link LocalAndRemotePIP} component that is bound to a LayerHost component with id
 * specified by `modalLayerHostId` prop
 * @private
 */
export declare const ModalLocalAndRemotePIP: (props: {
    hidden: boolean;
    modalLayerHostId: string;
    styles?: ModalLocalAndRemotePIPStyles;
    minDragPosition?: _ICoordinates;
    maxDragPosition?: _ICoordinates;
    onDismissSidePane?: () => void;
    strings?: ModalLocalAndRemotePIPStrings;
}) => JSX.Element | null;
//# sourceMappingURL=ModalLocalAndRemotePIP.d.ts.map