// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import React from 'react';
import { _StarSurvey } from "../../../../react-components/src";
import { useLocale } from '../localization';
/** @private */
export const StarSurvey = (props) => {
    const { onStarRatingSelected } = props;
    const strings = useLocale().strings.call;
    const StarSurveyStrings = {
        starSurveyHelperText: strings.starSurveyHelperText,
        starSurveyOneStarText: strings.starSurveyOneStarText,
        starSurveyTwoStarText: strings.starSurveyTwoStarText,
        starSurveyThreeStarText: strings.starSurveyThreeStarText,
        starSurveyFourStarText: strings.starSurveyFourStarText,
        starSurveyFiveStarText: strings.starSurveyFiveStarText,
        starRatingAriaLabel: strings.starRatingAriaLabel
    };
    return React.createElement(_StarSurvey, { strings: StarSurveyStrings, onStarRatingSelected: onStarRatingSelected });
};
//# sourceMappingURL=StarSurvey.js.map