/// <reference types="react" />
/** @private */
export interface MobileChatSidePaneTabHeaderProps {
    onClick: () => void;
    disabled: boolean;
}
/**
 * Props for {@link TabHeader} component
 */
type PeopleAndChatHeaderProps = {
    onClose: () => void;
    onChatButtonClicked?: () => void;
    onPeopleButtonClicked?: () => void;
    activeTab: TabHeaderTab;
    disableChatButton?: boolean;
    disablePeopleButton?: boolean;
};
/**
 * Legacy header to be removed when we make a breaking change.
 * @private
 */
export declare const PeopleAndChatHeader: (props: PeopleAndChatHeaderProps) => JSX.Element;
/**
 * Type used to define which tab is active in {@link TabHeader}
 */
export type TabHeaderTab = 'chat' | 'people';
export {};
//# sourceMappingURL=TabHeader.d.ts.map