// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import React from 'react';
import { _TagsSurvey } from "../../../../react-components/src";
import { useLocale } from '../localization';
/** @private */
export const TagsSurvey = (props) => {
    const strings = useLocale().strings.call;
    const tagsSurveyStrings = {
        tagsSurveyQuestion: strings.tagsSurveyQuestion,
        tagsSurveyHelperText: strings.tagsSurveyHelperText,
        tagsSurveyTextFieldDefaultText: strings.tagsSurveyTextFieldDefaultText
    };
    return React.createElement(_TagsSurvey, { callIssuesToTag: strings.surveyIssues, categoryHeadings: strings.surveyIssuesHeadingStrings, onConfirm: props.onConfirm, strings: tagsSurveyStrings, showFreeFormTextField: props.showFreeFormTextField });
};
//# sourceMappingURL=TagsSurvey.js.map