import { IModalStyleProps, IModalStyles, IStackStyles, IStyle, IStyleFunctionOrObject, ITheme } from '@fluentui/react';
/**
 * Styles for {@link ModalLocalAndRemotePIP} component
 */
export type ModalLocalAndRemotePIPStyles = {
    modal?: Partial<IModalStyles>;
};
/**
 * Default Modal PIP related pixel measurements used for ModalLocalAndremotePIP and common/utils.
 *
 * @private
 */
export declare const MODAL_PIP_DEFAULT_PX: {
    rightPositionPx: number;
    bottomPositionPx: number;
    widthPx: number;
    heightPx: number;
};
/**
 * @private
 */
export declare const getPipStyles: (theme: ITheme) => ModalLocalAndRemotePIPStyles;
/**
 * @private
 */
export declare const PIPContainerStyle: IStackStyles;
/**
 * @private
 */
export declare const hiddenStyle: IStackStyles;
/**
 * @private
 */
export declare const modalStyle: IStyleFunctionOrObject<IModalStyleProps, IModalStyles>;
/**
 * Styles for layer host to bound the modal wrapping PiPiP in the mobile pane.
 * @private
 */
export declare const modalLayerHostStyle: IStyle;
//# sourceMappingURL=ModalLocalAndRemotePIP.styles.d.ts.map